<?php

//  Copyright (C) 2002-2006 Balint Kis (balint@k-i-s.net)
//  Copyright (C) 2005-2006 Solomon Peachy (pizza@shaftnet.org)

//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.

//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.

//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

include_once "include/vars.php";
include_once "include/config.php";
include_once "$theme/theme.php";
include_once "include/site.php";
include_once "include/admin.php";
include_once "include/common.php";

$database = site_prolog();

if ($po_user['type'] < $user_type['administrator']) {
  site_epilog($database);
  header("location: login.php");
  exit();
}

$user_id = pg_escape_string($_REQUEST['user']);

$photos_to_be_removed = pg_query($database, "
  select small_image_path, medium_image_path, large_image_path
    from photo, photo_version
   where photo.identifier = photo_version.photo
     and users = $user_id");

pg_query($database, "begin");

$result = pg_query($database, "delete from rating where users='$user_id'");
if (!$result) {
  pg_query($database, "rollback");
  site_epilog($database);
  header("location: admin.php");
  exit();
}

$result = pg_query($database, "delete from submission where users='$user_id'");
if (!$result) {
  pg_query($database, "rollback");
  site_epilog($database);
  header("location: admin.php");
  exit();
}

$result = pg_query($database, "update paper set last_modifying_users=null where last_modifying_users='$user_id'");
if (!$result) {
  pg_query($database, "rollback");
  site_epilog($database);
  header("location: admin.php");
  exit();
}

$result = pg_query($database, "delete from label where users='$user_id'");
if (!$result) {
  pg_query($database, "rollback");
  site_epilog($database);
  header("location: admin.php");
  exit();
}

$result = pg_query($database, "delete from photo_spooler where users='$user_id'");
if (!$result) {
  pg_query($database, "rollback");
  site_epilog($database);
  header("location: admin.php");
  exit();
}

$result = pg_query($database, "delete from calendar where users='$user_id'");
if (!$result) {
  pg_query($database, "rollback");
  site_epilog($database);
  header("location: admin.php");
  exit();
}

$result = pg_query($database, "delete from client where users='$user_id' or client='$user_id'");
if (!$result) {
  pg_query($database, "rollback");
  site_epilog($database);
  header("location: admin.php");
  exit();
}

$result = pg_query($database, "delete from rating where photo in (select identifier from photo where users='$user_id')");
if (!$result) {
  pg_query($database, "rollback");
  site_epilog($database);
  header("location: admin.php");
  exit();
}

$result = pg_query($database, "update imagemagick_composite_options set photo_version=null where identifier in (select imagemagick_composite_options from users where identifier='$user_id')");
if (!$result) {
  pg_query($database, "rollback");
  site_epilog($database);
  header("location: admin.php");
  exit();
}

$result = pg_query($database, "delete from photo_version where photo in (select identifier from photo where users='$user_id')");
if (!$result) {
  pg_query($database, "rollback");
  site_epilog($database);
  header("location: admin.php");
  exit();
}

$result = pg_query($database, "delete from photo_dupe where photo in (select identifier from photo where users='$user_id')");
if (!$result) {
  pg_query($database, "rollback");
  site_epilog($database);
  header("location: admin.php");
  exit();
}

$result = pg_query($database, "delete from photo_tech where photo in (select identifier from photo where users='$user_id')");
if (!$result) {
  pg_query($database, "rollback");
  site_epilog($database);
  header("location: admin.php");
  exit();
}

$result = pg_query($database, "
  delete from shop_order
   where item in (select photo_item.identifier
                    from photo_item, photo
                   where photo_item.photo=photo.identifier
                     and photo.users='$user_id')
      or client='$user_id'");
if (!$result) {
  pg_query($database, "rollback");
  site_epilog($database);
  header("location: admin.php");
  exit();
}

$result = pg_query($database, "
  delete from shop_transaction
   where identifier in (select shop_order.transaction
                          from shop_order, photo_item, photo
                         where shop_order.item=photo_item.identifier
                           and photo_item.photo=photo.identifier
                           and photo.users='$user_id')");
if (!$result) {
  pg_query($database, "rollback");
  site_epilog($database);
  header("location: admin.php");
  exit();
}

$result = pg_query($database, "delete from photo_item where photo in (select identifier from photo where users='$user_id')");
if (!$result) {
  pg_query($database, "rollback");
  site_epilog($database);
  header("location: admin.php");
  exit();
}


$result = pg_query($database, "delete from album_content where album in (select identifier from album where users='$user_id')");
if (!$result) {
  pg_query($database, "rollback");
  site_epilog($database);
  header("location: admin.php");
  exit();
}

$result = pg_query($database, "delete from album where users='$user_id'");
if (!$result) {
  pg_query($database, "rollback");
  site_epilog($database);
  header("location: admin.php");
  exit();
}

$result = pg_query($database, "delete from photo where users='$user_id'");
if (!$result) {
  pg_query($database, "rollback");
  site_epilog($database);
  header("location: admin.php");
  exit();
}

$result = pg_query($database, "delete from folder where users='$user_id'");
if (!$result) {
  pg_query($database, "rollback");
  site_epilog($database);
  header("location: admin.php");
  exit();
}

$result = pg_query($database, "update location set users='$po_user[id]' where users='$user_id'");
if (!$result) {
  pg_query($database, "rollback");
  site_epilog($database);
  header("location: admin.php");
  exit();
}

$result = pg_query($database, "delete from film where users='$user_id'");
if (!$result) {
  pg_query($database, "rollback");
  site_epilog($database);
  header("location: admin.php");
  exit();
}

$result = pg_query($database, "update film_type set last_modifying_users=null where last_modifying_users='$user_id'");
if (!$result) {
  pg_query($database, "rollback");
  site_epilog($database);
  header("location: admin.php");
  exit();
}

$result = pg_query($database, "delete from lens where users='$user_id'");
if (!$result) {
  pg_query($database, "rollback");
  site_epilog($database);
  header("location: admin.php");
  exit();
}

$result = pg_query($database, "update lens_type set last_modifying_users=null where last_modifying_users='$user_id'");
if (!$result) {
  pg_query($database, "rollback");
  site_epilog($database);
  header("location: admin.php");
  exit();
}

$result = pg_query($database, "delete from camera where users='$user_id'");
if (!$result) {
  pg_query($database, "rollback");
  site_epilog($database);
  header("location: admin.php");
  exit();
}

$result = pg_query($database, "update camera_type set last_modifying_users=null where last_modifying_users='$user_id'");
if (!$result) {
  pg_query($database, "rollback");
  site_epilog($database);
  header("location: admin.php");
  exit();
}

$result = pg_query($database, "delete from flash where users='$user_id'");
if (!$result) {
  pg_query($database, "rollback");
  site_epilog($database);
  header("location: admin.php");
  exit();
}

$result = pg_query($database, "update flash_type set last_modifying_users=null where last_modifying_users='$user_id'");
if (!$result) {
  pg_query($database, "rollback");
  site_epilog($database);
  header("location: admin.php");
  exit();
}

$result = pg_query($database, "delete from scanner where users='$user_id'");
if (!$result) {
  pg_query($database, "rollback");
  site_epilog($database);
  header("location: admin.php");
  exit();
}

$result = pg_query($database, "update scanner_type set last_modifying_users=null where last_modifying_users='$user_id'");
if (!$result) {
  pg_query($database, "rollback");
  site_epilog($database);
  header("location: admin.php");
  exit();
}

$result = pg_query($database, "delete from support where users='$user_id'");
if (!$result) {
  pg_query($database, "rollback");
  site_epilog($database);
  header("location: admin.php");
  exit();
}

$result = pg_query($database, "update support_type set last_modifying_users=null where last_modifying_users='$user_id'");
if (!$result) {
  pg_query($database, "rollback");
  site_epilog($database);
  header("location: admin.php");
  exit();
}

$result = pg_query($database, "update shop_item set users='$po_user[id]' where users='$user_id'");
if (!$result) {
  pg_query($database, "rollback");
  site_epilog($database);
  header("location: admin.php");
  exit();
}

$result = pg_query($database, "update shop_category set users='$po_user[id]' where users='$user_id'");
if (!$result) {
  pg_query($database, "rollback");
  site_epilog($database);
  header("location: admin.php");
  exit();
}

$result = pg_query($database, "delete from filter where users='$user_id'");
if (!$result) {
  pg_query($database, "rollback");
  site_epilog($database);
  header("location: admin.php");
  exit();
}

$result = pg_query($database, "update filter_type set last_modifying_users=null where last_modifying_users='$user_id'");
if (!$result) {
  pg_query($database, "rollback");
  site_epilog($database);
  header("location: admin.php");
  exit();
}

$result = pg_query($database, "update manufacturer set last_modifying_users=null where last_modifying_users='$user_id'");
if (!$result) {
  pg_query($database, "rollback");
  site_epilog($database);
  header("location: admin.php");
  exit();
}

$user_data = pg_fetch_row(pg_query($database, "select preferences, contact, imagemagick_options, imagemagick_composite_options, dcraw_options from users where identifier='$user_id'"));

$result = pg_query($database, "delete from users where identifier='$user_id'");
if (!$result) {
  pg_query($database, "rollback");
  site_epilog($database);
  header("location: admin.php");
  exit();
}

$result = pg_query($database, "delete from preferences where identifier='$user_data[0]'");
if (!$result) {
  pg_query($database, "rollback");
  site_epilog($database);
  header("location: admin.php");
  exit();
}

$result = pg_query($database, "delete from contact_info where identifier='$user_data[1]'");
if (!$result) {
  pg_query($database, "rollback");
  site_epilog($database);
  header("location: admin.php");
  exit();
}

$result = pg_query($database, "delete from imagemagick_options where identifier='$user_data[2]'");
if (!$result) {
  pg_query($database, "rollback");
  site_epilog($database);
  header("location: admin.php");
  exit();
}

$result = pg_query($database, "delete from imagemagick_composite_options where identifier='$user_data[3]'");
if (!$result) {
  pg_query($database, "rollback");
  site_epilog($database);
  header("location: admin.php");
  exit();
}

$result = pg_query($database, "delete from dcraw_options where identifier='$user_data[4]'");
if (!$result) {
  pg_query($database, "rollback");
  site_epilog($database);
  header("location: admin.php");
  exit();
}

error_reporting(0);
$num_of_photos_to_remove = pg_num_rows($photos_to_be_removed);
for ($i = 0; $i < $num_of_photos_to_remove; $i++) {
  $photo = pg_fetch_row($photos_to_be_removed, $i);
  if ($photo[0] != "")
    if (!unlink($image_repository_path . "/" . $photo[0])) {
      error_reporting(1);
      pg_query($database, "rollback");
      site_epilog($database);
      header("location: admin.php");
      exit();
    }

  if ($photo[1] != "")
    if (!unlink($image_repository_path . "/" . $photo[1])) {
      error_reporting(1);
      pg_query($database, "rollback");
      site_epilog($database);
      header("location: admin.php");
      exit();
    }

  if ($photo[2] != "")
    if (!unlink($image_repository_path . "/" . $photo[2])) {
      error_reporting(1);
      pg_query($database, "rollback");
      site_epilog($database);
      header("location: admin.php");
      exit();
    }
}
error_reporting(1);

pg_query($database, "commit");

site_epilog($database);
header("location: admin.php?selector=".$admin_data['users_n_clients']['idx']);
?>
