<?php

//  Copyright (C) 2002-2006 Balint Kis (balint@k-i-s.net)
//  Copyright (C) 2005-2006 Solomon Peachy (pizza@shaftnet.org)

//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.

//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.

//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

include_once "include/vars.php";
include_once "include/config.php";
include_once "include/profile.php";
include_once "include/site.php";
include_once "$theme/theme.php";
include_once "include/common.php";

$database = site_prolog();

if ($po_user['type'] < $user_type['user']) {
  site_epilog($database);
  header("location: login.php");
  exit();
}

$manufacturer = $_REQUEST['manufacturer'];
$label_name   = $_REQUEST['label_name'];
$paper        = $_REQUEST['paper'];
$left_margin  = $_REQUEST['left_margin'];
$top_margin   = $_REQUEST['top_margin'];
$x_space      = $_REQUEST['x_space'];
$y_space      = $_REQUEST['y_space'];
$x_size       = $_REQUEST['x_size'];
$y_size       = $_REQUEST['y_size'];
$columns      = $_REQUEST['columns'];
$rows         = $_REQUEST['rows'];

site_header($page_width, "Add Label");
site_navigator(6);
site_navigator_status("<a href=\"user.php\">Users</a> : <a href=\"my.profile.php?\">My Profile</a> : Add new label", "");

$all_manufacturers = pg_query($database, "select identifier, name from manufacturer order by name");
$all_papers = pg_query($database, "select identifier, name from paper order by name");

print "&nbsp;<br/>";
display_navigator_box_top($profile_data['label']['idx'], $profile_data, "100%");

print "&nbsp;<br/>";
print "<form method=\"post\" action=\"label.add.2.php\">";

print "<table align=\"center\" bgcolor=\"$color[table_background]\" border=\"0\" cellspacing=\"1\" cellpadding=\"2\" width=\"100%\">\n";
print "<tr><td align=\"left\" bgcolor=\"$color[table_top]\" colspan=\"3\"><font class=\"tabletop\">Add New Label</font></td>\n";
print "<tr>";
print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"30%\">Manufacturer</td>";
print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"40%\">Name</td>";
print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"30%\">Paper</td>";
print "</tr>";
print "<tr>";
print "<td bgcolor=\"$color[table_body]\"  width=\"30%\">"; display_combo("manufacturer", $all_manufacturers, $manufacturer, ", ", 0); print"</td>\n";
print "<td bgcolor=\"$color[table_body]\"  width=\"40%\"><input type=\"text\" name=\"label_name\" value=\"$label_name\" size=\"40%\"/></td>\n";
print "<td bgcolor=\"$color[table_body]\"  width=\"30%\">"; display_combo("paper", $all_papers, $paper, ", ", 1); print"</td>\n";
print "</tr>";
print "</table>";

print "&nbsp;<br/>";
display_label_layout($left_margin, $top_margin, $x_size, $y_size, $x_space, $y_space, $columns, $rows, FALSE);

print "&nbsp;<br/>";
print "<input type=\"image\" src=\"$theme/button.add.gif\" border=\"0\" value=\"Add Label\"/>";
print "<a class=\"nodecor\" href=\"my.profile.php?selector=".$profile_data['label']['idx']."\"><img src=\"$theme/button.cancel.gif\" border=\"0\" alt=\"Cancel\"/></a>";
print "</form>";

display_navigator_box_bottom("100%");
print "&nbsp;<br/>";

site_footer($database);
site_epilog($database);
?>
