<?php

//  Copyright (C) 2002-2006 Balint Kis (balint@k-i-s.net)
//  Copyright (C) 2005-2006 Solomon Peachy (pizza@shaftnet.org)

//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.

//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.

//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

include_once "include/vars.php";
include_once "include/config.php";
include_once "$theme/theme.php";
include_once "include/import.php";
include_once "include/common.php";
include_once "include/site.php";
include_once "include/mime.php";

$photo_id           = pg_escape_string($_REQUEST['photo']);
$master             = pg_escape_string($_REQUEST['master']);
$comment            = pg_escape_string($_REQUEST['comment']);
$colorspace         = pg_escape_string($_REQUEST['colorspace']);
$file_name          = $_FILES['file_name']['name'][0];
$file_size          = $_FILES['file_name']['size'][0];
$file_name_tmp      = $_FILES['file_name']['tmp_name'][0];
$original_file_type = strtolower(substr($file_name, strrpos($file_name, ".") + 1));

$database = site_prolog();

if ($po_user['type'] < $user_type['user']) {
  site_epilog($database);
  header("location: login.php");
  exit();
}

$my_im_composite_options = get_im_composite_options($database, $po_user['id']);
$im_options = get_im_options($database, $po_user['id']);
$dcraw_options = get_dcraw_options($database, $po_user['id']);

site_header($page_width, "Add Photo Version");
site_navigator(5);
$folder_data = pg_fetch_row(pg_query($database, "
    select folder.identifier, folder.caption
      from photo, folder
     where photo.folder = folder.identifier
       and photo.identifier='$photo_id'"));
site_navigator_status("<a href=\"user.php\">Users</a> : <a href=\"user.php?user=$user_name[0]\">My Folders and Albums</a> : <a href=\"folder.php?folder=$folder_data[0]\">$folder_data[1]</a> : <a href=\"photo.php?photo=$photo_id&detail_info=5\">$photo_data[0]</a> : Uploading new version", "");
print "&nbsp;<br/>\n";
print "<table width=\"100%\"><tr><td >" ;

$image_data['file'][0]['name']     = $file_name;
$image_data['file'][0]['name_tmp'] = $file_name_tmp;
$image_data['file'][0]['type']     = $original_file_type;
$image_data['file'][0]['remark']   = $comment;
$image_data['file'][0]['master']   = $master;
$image_data['colorspace'] = $colorspace;

photo_version_import($database, 0, $im_options, $my_im_composite_options, $dcraw_options, $po_user['id'], $photo_id, $image_data);

print "&nbsp;<br/>\n";
print "Upload finished, changes saved.";
print "&nbsp;<br/>\n";
print "</td></tr></table>" ;

print "&nbsp;<br/>\n";
site_footer($database);
site_epilog($database);

?>
