<?php

//  Copyright (C) 2002-2006 Balint Kis (balint@k-i-s.net)
//  Copyright (C) 2005-2006 Solomon Peachy (pizza@shaftnet.org)

//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.

//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.

//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

include_once "include/vars.php";
include_once "include/config.php";
include_once "include/profile.php";
include_once "include/site.php";
include_once "$theme/theme.php";
include_once "include/common.php";

$database = site_prolog();

if ($po_user['type'] < $user_type['user']) {
  site_epilog($database);
  header("location: login.php");
  exit();
}

$type = pg_escape_string($_REQUEST['type']);
$manufacturer_filter = pg_escape_string($_REQUEST['filter']);
$type_id          = pg_escape_string($_REQUEST['item']);

$current_value = pg_fetch_row(pg_query($database, "select name, model, variation, serial_number,
                                                          date_of_purchase, purchased_new, access_rights, users
                                                     from view_$type where identifier='$type_id'"));

/* Ensure the user owns it !*/
if (($po_user['id'] != $current_value[7]) &&
    ($po_user['type'] < $user_type['administrator'])) {
  site_epilog($database);
  header("location: login.php");
  exit();
 }

$type_current_value = pg_fetch_row(pg_query($database, "select type from $type where identifier='$type_id'"));
$manufacturer = pg_query($database, "select identifier, name from manufacturer order by name");
$user_name = pg_fetch_row(pg_query($database, "select first_name, last_name from users where identifier=$po_user[id]"));

switch ($manufacturer_filter) {
 case "All":
 case "":
   $item_type = pg_query($database, "select identifier, name, model, variation, url from view_".$type."_type");
   break;
 default:
   $item_type = pg_query($database, "select identifier, name, model, variation, url from view_".$type."_type where name=\"$manufacturer_filter\" or identifier=\"$type_current_value[0]\"");
}

site_header($page_width, "Edit $type");
site_navigator(6);
site_navigator_status("<a href=\"user.php\">Users</a> : <a href=\"my.profile.php\">My Profile</a> : Edit $type", "");

print "&nbsp;<br/>";
display_navigator_box_top($profile_data[$type]['idx'], $profile_data, "100%");

print "&nbsp;<br/>";
print "<table align=\"center\" bgcolor=\"$color[table_background]\" border=\"0\" cellspacing=\"1\" cellpadding=\"3\" width=\"100%\">\n";
print "<tr>";
print "<td align=\"left\" bgcolor=\"$color[table_top]\" colspan=\"4\">\n";
print "<table width=\"100%\">\n<tr>\n";
print "<td align=\"left\"><font class=\"tabletop\">$type Types</font></td>\n";
print "<td align=\"right\">\n";
print "<form>\n";
print "<select onchange=\"location = this.options[this.selectedIndex].value;\">\n";
print "<option value=\"profile.edit.php?type=$type\">All</option>";
for ($i=0; $i < pg_num_rows($manufacturer); $i++) {
  $r = pg_fetch_row($manufacturer, $i);
  if ($r[1]==$manufacturer_filter)
    print "<option value=\"profile.edit.php?type=$type&amp;filter=$r[1]\" selected>$r[1]";
  else
    print "<option value=\"profile.edit.php?type=$type&amp;filter=$r[1]\">$r[1]";
}
print "</select>";
print "</form>\n";
print "</td></tr>\n</table>\n";
print "</td>";
print "</tr>";

print "<form method=post action=\"profile.edit.2.php?item_id=$type_id&amp;type=$type\">";
print "<tr>\n";
print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"4%\"></td>\n";
print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"50%\">Manufacturer</td>\n";
print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"25%\">Model</td>\n";
print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"21%\">Variation</td>\n";
print "</tr>\n";

$num = pg_num_rows($item_type);
if ($num > 0) {
  for ($i=0; $i < $num; $i++) {
    $r = pg_fetch_row($item_type, $i);
    print "<tr>";
    if ($type_current_value[0] == $r[0])
      print "<td align=\"left\" bgcolor=\"$color[table_body]\"><input type=\"radio\" name=\"type_id\" value=\"$r[0]\" checked/></td>";
    else
      print "<td align=\"left\" bgcolor=\"$color[table_body]\"><input type=\"radio\" name=\"type_id\" value=\"$r[0]\"/></td>";
    print "<td align=\"left\" bgcolor=\"$color[table_body]\" ><a href=\"$r[4]\">$r[1]</a></td>";
    print "<td align=\"left\" bgcolor=\"$color[table_body]\" >$r[2]</td>";
    print "<td align=\"left\" bgcolor=\"$color[table_body]\" >$r[3]</td>";
    print "</tr>";
  }
}
else
print "<tr><td colspan=\"6\" align=\"left\" bgcolor=\"$color[table_body]\" >No $type types found.</td></tr>";

print "</table>\n";

print "&nbsp;<br/>\n";
print "<table align=\"center\" bgcolor=\"$color[table_background]\" border=\"0\" cellspacing=\"1\" cellpadding=\"3\" width=\"100%\">\n";
print "<tr>";
print "<td align=\"left\" bgcolor=\"$color[table_top]\" colspan=\"6\"><font class=\"tabletop\">Edit $type Type</font></td>";
print "</tr>";
print "<tr>";
print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"4%\"></td>";
print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"50%\">Manufacturer</td>";
print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"25%\">Model</td>";
print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"21%\">Variation</td>";
print "</tr>";

print "<tr>";
print "<td align=\"left\" bgcolor=\"$color[table_body]\" >";
print "<input type=\"radio\" name=\"type_id\" value=\"custom\"/>";
print "</td>";
print "<td align=\"left\" bgcolor=\"$color[table_body]\" >";
$num = pg_num_rows($manufacturer);
print "<select name=\"manufacturer_id\">";
for ($i=0; $i < $num; $i++) {
  $r = pg_fetch_row($manufacturer, $i);
  if ($current_value[0]==$r[1])
    print "<option value=\"$r[0]\" selected>$r[1]</option>";
  else
    print "<option value=\"$r[0]\">$r[1]</option>";
}
print "</select>";

print "</td>";
print "<td align=\"left\" bgcolor=\"$color[table_body]\" >";
print "<input type=\"text\" name=\"model\" value=\"$current_value[1]\"/>";
print "</td>";
print "<td align=\"left\" bgcolor=\"$color[table_body]\"  >";
print "<input type=\"text\" name=\"variation\" value=\"$current_value[2]\"/>";
print "</td>";
print "</tr>";
print "</table>\n";

print "&nbsp;<br/>\n";
print "<table align=\"center\" bgcolor=\"$color[table_background]\" border=\"0\" cellspacing=\"1\" cellpadding=\"3\" width=\"100%\">\n";
print "<tr><td align=\"left\" bgcolor=\"$color[table_top]\" colspan=\"6\"><font class=\"tabletop\">$type Specific Data</font></td></tr>";

print "<tr>";
print "<td align=\"left\" bgcolor=\"$color[table_header]\" >Serial Number</td>";
print "<td align=\"left\" bgcolor=\"$color[table_header]\" >Purchase Date</td>";
print "<td align=\"left\" bgcolor=\"$color[table_header]\" >Purchased New</td>";
print "<td align=\"left\" bgcolor=\"$color[table_header]\" >Access</td>";
print "</tr>";

$date_of_purchase= substr($current_value[4], 0, 10);

print "<tr>";
print "<td bgcolor=\"$color[table_body]\" ><input type=\"text\" name=\"serial_number\" value=\"$current_value[3]\"/></td>";
print "<td bgcolor=\"$color[table_body]\" >\n";
display_date_input_form("purchase_timestamp", "$date_of_purchase");
print "</td>\n";
print "<td bgcolor=\"$color[table_body]\" >"; display_yes_no_combo("purchased_new", $current_value[5]); print "</td>\n";
print "<td bgcolor=\"$color[table_body]\" >"; display_access_combo("access_rights", $current_value[6], ""); print "</td>\n";
print "</tr>";
print "</table>";

print "&nbsp;<br/>";
print "<input type=\"image\" src=\"$theme/button.save.changes.gif\" border=\"0\" value=\"Save Changes\"/>\n";
print "<a class=\"nodecor\" href=\"my.profile.php?selector=".$profile_data[$type]['idx']."\"><img src=\"$theme/button.cancel.gif\" border=\"0\" alt=\"Cancel\"/></a>\n";
print "</form>";

display_navigator_box_bottom("100%");
print "&nbsp;<br/>";

site_footer($database);
site_epilog($database);
?>
