<?php

//  Copyright (C) 2002-2006 Balint Kis (balint@k-i-s.net)
//  Copyright (C) 2005-2006 Solomon Peachy (pizza@shaftnet.org)

//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.

//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.

//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

include_once "include/vars.php";
include_once "include/config.php";
include_once "include/tools.php";
include_once "include/mime.php";
include_once "$theme/theme.php";
include_once "include/common.php";
include_once "include/site.php";
include_once "include/import.php";

$database = site_prolog();

if ($po_user['type'] < $user_type['user']) {
  site_epilog($database);
  header("location: login.php");
  exit();
}

$rule_identifier = pg_escape_string($_REQUEST['rule']);

/* Ensure the user owns it !*/
if ($po_user['type'] < $user_type['administrator']) {
  $result = pg_fetch_row(pg_query($database, "select count(identifier) from shop_item_generator_rule where identifier=$rule_identifier and users=$po_user[id]"));
  if ($result[0] == 0) {
    site_epilog($database);
    header("location: login.php");
    exit();
  }
 }

$user_rule  = pg_fetch_row(pg_query($database, "
     select shop_category, shop_item, currency, price, comment, date_of_creation, date_of_last_edit
       from view_shop_item_generator_rule
      where identifier=$rule_identifier"));

site_header($page_width, "Display Tools");
site_navigator(10);
site_navigator_status("<a href=\"user.php\">Users</a> : <a href=\"my.tools.php?selector=2\">My Tools</a> : Delete Shop Item Generator Rule", "");

print "&nbsp;<br/>";
display_navigator_box_top($tools_data['shop_item_maker']['idx'], $tools_data, "100%");

print "&nbsp;<br />";

print "<form method=\"post\" action=\"shop.item.generator.del.2.php\" enctype=\"multipart/form-data\">\n";
print "<input type=\"hidden\" name=\"rule\" value=\"$rule_identifier\"/>";
print "<table align=\"center\" bgcolor=\"$color[table_background]\" border=\"0\" cellspacing=\"1\" cellpadding=\"3\" width=\"100%\">\n";
print "<tr>";
print "<td align=\"left\" bgcolor=\"$color[table_header]\" width=\"15%\">Category</td>";
print "<td align=\"left\" bgcolor=\"$color[table_header]\" width=\"15%\">Item</td>";
print "<td align=\"left\" bgcolor=\"$color[table_header]\" width=\"10%\">Currency</td>";
print "<td align=\"left\" bgcolor=\"$color[table_header]\" width=\"10%\">Price</td>";
print "<td align=\"left\" bgcolor=\"$color[table_header]\" width=\"50%\">Remark</td>";
print "</tr>";
print "<tr>";
print "<td align=\"left\" bgcolor=\"$color[table_body]\">$user_rule[0]</td>";
print "<td align=\"left\" bgcolor=\"$color[table_body]\">$user_rule[1]</td>";
print "<td align=\"left\" bgcolor=\"$color[table_body]\">$user_rule[2]</td>";
print "<td align=\"left\" bgcolor=\"$color[table_body]\">$user_rule[3]</td>";
print "<td align=\"left\" bgcolor=\"$color[table_body]\">$user_rule[4]</td>";
print "</tr>";
print "</table>\n";

print "&nbsp;<br/>\n";
print "<center>\n";
print "<input type=\"image\" src=\"$theme/button.delete.gif\" border=\"0\" value=\"Delete\"/>";
print "<a class=\"nodecor\" href=\"my.tools.php?selector=2\"><img src=\"$theme/button.cancel.gif\" border=\"0\" alt=\"Cancel\"/></a>";
print "</center>\n";
print "</form>";

print "&nbsp;<br/>\n";

display_navigator_box_bottom("100%");
print "&nbsp;<br/>";

site_footer($database);
site_epilog($database);

?>
