<?php

//  Copyright (C) 2002-2006 Balint Kis (balint@k-i-s.net)
//  Copyright (C) 2005-2006 Solomon Peachy (pizza@shaftnet.org)

//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.

//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.

//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

include_once "include/vars.php";
include_once "include/config.php";
include_once "include/profile.php";
include_once "include/site.php";
include_once "$theme/theme.php";
include_once "include/common.php";

$database   = site_prolog();

if ($po_user['type'] < $user_type['user']) {
  site_epilog($database);
  header("location: login.php");
  exit();
}

$film_id = pg_escape_string($_REQUEST['item']);
$number_of_references = pg_fetch_row(pg_query($database, "select number_of_film_references($film_id)"));

/* Ensure the user owns it !*/
if ($po_user['type'] < $user_type['administrator']) {
  $result = pg_fetch_row(pg_query($database, "select count(identifier) from film where identifier=$film_id and users=$po_user[id]"));
  if ($result[0] == 0) {
    site_epilog($database);
    header("location: login.php");
    exit();
  }
 }

site_header($page_width, "Delete Film");
site_navigator(6);

switch ($number_of_references[0]) {
 case 0:
   site_navigator_status("<a href=\"user.php\">Users</a> : <a href=\"my.profile.php\">My Profile</a> : Delete film", "");
   break;
 case 1:
   site_navigator_status("<a href=\"user.php\">Users</a> : <a href=\"my.profile.php\">My Profile</a> : There is 1 reference to this film. Cannot remove.", "");
   break;
 default:
   site_navigator_status("<a href=\"user.php\">Users</a> : <a href=\"my.profile.php\">My Profile</a> : There are $number_of_references[0] references to this film. Cannot remove.", "");
}

print "&nbsp;<br/>";
display_navigator_box_top($profile_data['film']['idx'], $profile_data, "100%");

print "&nbsp;<br/>";
print "<form method=\"post\" action=\"profile.del.2.php?item_id=$film_id&amp;type=film\">";
print "<table align=\"center\" bgcolor=\"$color[table_background]\" border=\"0\" cellspacing=\"1\" cellpadding=\"3\" width=\"100%\">\n";
print "<tr>\n";
print "<td align=\"left\" bgcolor=\"$color[table_top]\" colspan=\"5\"><font class=\"tabletop\">Remove Film</font></td>\n";
print "</td>\n";
print "<tr>";
print "<td align=\"left\" bgcolor=\"$color[table_header]\" >Manufacturer</td>";
print "<td align=\"left\" bgcolor=\"$color[table_header]\" >Model</td>";
print "<td align=\"left\" bgcolor=\"$color[table_header]\" >ISO</td>";
print "<td align=\"left\" bgcolor=\"$color[table_header]\" >Format</td>";
print "<td align=\"left\" bgcolor=\"$color[table_header]\" >Access</td>";
print "</tr>";

$film_to_be_removed = pg_fetch_row(pg_query($database, "select name, model, iso, format, url, access_rights
                                                          from view_film where identifier='$film_id'"));
print "<tr>";
print "<td align=\"left\" bgcolor=\"$color[table_body]\" ><a href=\"$film_to_be_removed[4]\">$film_to_be_removed[0]</a></td>";
print "<td align=\"left\" bgcolor=\"$color[table_body]\" >$film_to_be_removed[1]";
print "<td align=\"left\" bgcolor=\"$color[table_body]\" >$film_to_be_removed[2]</td>";
print "<td align=\"left\" bgcolor=\"$color[table_body]\" >$film_to_be_removed[3]</td>";
print "<td align=\"left\" bgcolor=\"$color[table_body]\" >$film_to_be_removed[5]</td>\n";
print "</tr>";

print "</table>";

print "&nbsp;<br/>";
if ($number_of_references[0]==0) {
  print "<input type=\"image\" src=\"$theme/button.confirm.delete.gif\" border=\"0\" value=\"Confirm Delete\"/>\n";
  print "<a class=\"nodecor\" href=\"my.profile.php?selector=".$profile_data['film']['idx']."\"><img src=\"$theme/button.cancel.gif\" border=\"0\" alt=\"Cancel\"/></a>\n";
}
else {
  print "<a class=\"nodecor\" href=\"my.profile.php?selector=".$profile_data['film']['idx']."\"><img src=\"$theme/button.back.gif\" border=\"0\" alt=\"Back\"/></a>\n";
}
print "</form>";

display_navigator_box_bottom("100%");
print "&nbsp;<br/>";

site_footer($database);
site_epilog($database);
?>
