<?php

//  Copyright (C) 2002-2006 Balint Kis (balint@k-i-s.net)
//  Copyright (C) 2005-2006 Solomon Peachy (pizza@shaftnet.org)

//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.

//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.

//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

$profile_data = array("lens"         => array("idx" => 1, "active_img" => "$theme/navigator.eq.lens.a.gif",         "img" => "$theme/navigator.eq.lens.gif",         'link' => "my.profile.php?selector=1",  "alt" => " Lenses "),
                      "camera"       => array("idx" => 2, "active_img" => "$theme/navigator.eq.camera.a.gif",       "img" => "$theme/navigator.eq.camera.gif",       'link' => "my.profile.php?selector=2",  "alt" => " Cameras "),
                      "flash"        => array("idx" => 3, "active_img" => "$theme/navigator.eq.flash.a.gif",        "img" => "$theme/navigator.eq.flash.gif",        'link' => "my.profile.php?selector=3",  "alt" => " Flashes "),
                      "scanner"      => array("idx" => 4, "active_img" => "$theme/navigator.eq.scanner.a.gif",      "img" => "$theme/navigator.eq.scanner.gif",      'link' => "my.profile.php?selector=4",  "alt" => " Scanners "),
                      "filter"       => array("idx" => 5, "active_img" => "$theme/navigator.eq.filter.a.gif",       "img" => "$theme/navigator.eq.filter.gif",       'link' => "my.profile.php?selector=5",  "alt" => " Filters "),
                      "film"         => array("idx" => 6, "active_img" => "$theme/navigator.eq.film.a.gif",         "img" => "$theme/navigator.eq.film.gif",         'link' => "my.profile.php?selector=6",  "alt" => " Films "),
                      "support"      => array("idx" => 7, "active_img" => "$theme/navigator.eq.support.a.gif",      "img" => "$theme/navigator.eq.support.gif",      'link' => "my.profile.php?selector=7",  "alt" => " Supports "),
                      "manufacturer" => array("idx" => 8, "active_img" => "$theme/navigator.eq.manufacturer.a.gif", "img" => "$theme/navigator.eq.manufacturer.gif", 'link' => "my.profile.php?selector=8",  "alt" => " Manufacturers "),
                      "label"        => array("idx" => 9, "active_img" => "$theme/navigator.eq.label.a.gif",        "img" => "$theme/navigator.eq.label.gif",        'link' => "my.profile.php?selector=9",  "alt" => " Labels "),
                      "shop"         => array("idx" => 10,"active_img" => "$theme/navigator.eq.shop.a.gif",         "img" => "$theme/navigator.eq.shop.gif",         'link' => "my.profile.php?selector=10", "alt" => " Shop "),
                      "location"     => array("idx" => 11,"active_img" => "$theme/navigator.eq.location.a.gif",     "img" => "$theme/navigator.eq.location.gif",     'link' => "my.profile.php?selector=11", "alt" => " Locations "));

function display_lens($database, $viewer_id, $owner_id) {
  global $color;
  global $style;
  global $access;

  if ($viewer_id==$owner_id) {
    $all_lenses = pg_query($database, "select identifier, name, model, variation, s_min_aperture, s_max_aperture, s_min_focal_length, s_max_focal_length, serial_number, date_of_purchase, purchased_new, url, access_rights
                                         from view_lens where users=$owner_id order by name");
  } else {
    $client = FALSE;
    if ($owner_id != "" && $viewer_id != "")
      $client = pg_fetch_row(pg_query ($database, "select identifier from client where users='$owner_id' and client='$viewer_id' and status=2"));
    if ($client == FALSE)
      $all_lenses = pg_query($database, "select identifier, name, model, variation, s_min_aperture, s_max_aperture, s_min_focal_length, s_max_focal_length, serial_number, date_of_purchase, purchased_new, url, access_rights
                                           from view_lens where users=$owner_id and access_rights=$access[public] order by name");
    else
      $all_lenses = pg_query($database, "select identifier, name, model, variation, s_min_aperture, s_max_aperture, s_min_focal_length, s_max_focal_length, serial_number, date_of_purchase, purchased_new, url, access_rights
                                           from view_lens where users=$owner_id and access_rights<=$access[protected] order by name");
  }

  $num_of_lenses = pg_num_rows($all_lenses);
  if ($viewer_id != $owner_id && $num_of_lenses == 0)
    return;

  print "<table align=\"center\" bgcolor=\"$color[table_background]\" border=\"0\" cellspacing=\"1\" cellpadding=\"3\" width=\"100%\">\n";
  print "<tr>\n";
  print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"5%\">Id</td>\n";
  print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"35%\">Model</td>\n";
  print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"13%\">Serial Number</td>\n";
  print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"7%\">New</td>\n";
  print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"20%\" nowrap>Purchase Date</td>\n";
  if ($viewer_id==$owner_id) {
    print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"10%\">Access</td>\n";
    print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"10%\" colspan=\"2\"><a href=\"lens.add.php\">Add</a></td>\n";
  }
  print "</tr>\n";

  for ($i=0; $i < $num_of_lenses; $i++) {
    $lens = pg_fetch_row($all_lenses, $i);
    print "<tr>\n";
    print "<td align=\"left\" bgcolor=\"$color[table_body]\" >$lens[0]</td>\n";
    print "<td align=\"left\" bgcolor=\"$color[table_body]\" ><a href=\"$lens[11]\">$lens[1]</a> $lens[2] $lens[3]\n";
    display_lens_string($lens[4], $lens[5], $lens[6], $lens[7]);
    print "</td>\n";
    print "<td align=\"left\" bgcolor=\"$color[table_body]\" >$lens[8]</td>\n";
    print "<td align=\"left\" bgcolor=\"$color[table_body]\" >"; display_yes_no_text($lens[10]); print"</td>\n";
    print "<td align=\"left\" bgcolor=\"$color[table_body]\" >".generate_date_html($lens[9], 'date', $viewer_id == "" ? 0 : 1). "</td>\n";
    if ($viewer_id==$owner_id) {
      print "<td align=\"left\" bgcolor=\"$color[table_body]\" >$lens[12]</td>\n";
      print "<td align=\"left\" bgcolor=\"$color[table_body]\" ><a href=\"lens.edit.php?item=$lens[0]\">Edit</a></td>\n";
      print "<td align=\"left\" bgcolor=\"$color[table_body]\" ><a href=\"lens.del.php?item=$lens[0]\">Delete</a></td>\n";
    }
    print "</tr>\n";
  }
  print "</table>\n";
}

function display_camera($database, $viewer_id, $owner_id) {
  global $color;
  global $style;
  global $access;
  global $icc_profiles;

  if ($viewer_id==$owner_id) {
    $all_cameras = pg_query($database, "select identifier, name, model, variation, serial_number, date_of_purchase, purchased_new, url, access_rights, raw_icc_profile
                                          from view_camera where users=$owner_id order by name");
  } else {
    $client = FALSE;
    if ($owner_id != "" && $viewer_id != "")
      $client = pg_fetch_row(pg_query ($database, "select identifier from client where users='$owner_id' and client='$viewer_id' and status=2"));
    if ($client == FALSE)
      $all_cameras = pg_query($database, "select identifier, name, model, variation, serial_number, date_of_purchase, purchased_new, url, access_rights, raw_icc_profile
                                            from view_camera where users=$owner_id and access_rights=$access[public] order by name");
    else
      $all_cameras = pg_query($database, "select identifier, name, model, variation, serial_number, date_of_purchase, purchased_new, url, access_rights, raw_icc_profile
                                            from view_camera where users=$owner_id and access_rights<=$access[protected] order by name");
  }

  $num_of_cameras = pg_num_rows($all_cameras);
  if ($viewer_id!=$owner_id && $num_of_cameras == 0)
    return;

  print "<table align=\"center\" bgcolor=\"$color[table_background]\" border=\"0\" cellspacing=\"1\" cellpadding=\"3\" width=\"100%\">\n";
  print "<tr>\n";
  print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"5%\">Id</td>\n";
  print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"25%\">Model</td>\n";
  print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"13%\">Serial Number</td>\n";
  print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"7%\">New</td>\n";
  print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"20%\" nowrap>Purchase Date</td>\n";
  if ($viewer_id==$owner_id) {
    print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"10%\" >Access</td>\n";
    print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"10%\" >ICC Profile</td>\n";
    print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"10%\" colspan=\"2\"><a href=\"camera.add.php\">Add</a></td>\n";
  }
  print "</tr>\n";

  for ($i=0; $i < $num_of_cameras; $i++) {
    $camera = pg_fetch_row($all_cameras, $i);
    print "<tr color=$color[table_body]>\n";
    print "<td align=\"left\" bgcolor=\"$color[table_body]\" >$camera[0]</td>\n";
    print "<td align=\"left\" bgcolor=\"$color[table_body]\" ><a href=\"$camera[7]\">$camera[1]</a> $camera[2] $camera[3]</td>\n";
    print "<td align=\"left\" bgcolor=\"$color[table_body]\" >$camera[4]</td>\n";
    print "<td align=\"left\" bgcolor=\"$color[table_body]\" >"; display_yes_no_text($camera[6]); print"</td>\n";
    print "<td align=\"left\" bgcolor=\"$color[table_body]\" >".generate_date_html($camera[5], 'date', $viewer_id == "" ? 0 : 1). "</td>\n";
    if ($viewer_id==$owner_id) {
      print "<td align=\"left\" bgcolor=\"$color[table_body]\" >$camera[8]</td>\n";
      print "<td align=\"left\" bgcolor=\"$color[table_body]\" >";
      if ($camera[9] != "")
	print $icc_profiles[$camera[9]]['name'];
      print "</td>\n";
      print "<td align=\"left\" bgcolor=\"$color[table_body]\" ><a href=\"camera.edit.php?item=$camera[0]\">Edit</a></td>\n";
      print "<td align=\"left\" bgcolor=\"$color[table_body]\" ><a href=\"camera.del.php?item=$camera[0]\">Delete</a></td>\n";
    }
    print "</tr>\n";
  }
  print "</table>\n";
}

function display_profile($database, $type, $viewer_id, $owner_id) {
  global $color;
  global $style;
  global $access;

  if ($viewer_id==$owner_id) {
    $all = pg_query($database, "select identifier, name, model, variation, serial_number, date_of_purchase, purchased_new, url, access_rights
                                          from view_$type where users=$owner_id order by name");
  } else {
    $client = FALSE;
    if ($owner_id != "" && $viewer_id != "")
      $client = pg_fetch_row(pg_query ($database, "select identifier from client where users='$owner_id' and client='$viewer_id' and status=2"));
    if ($client == FALSE)
      $all = pg_query($database, "select identifier, name, model, variation, serial_number, date_of_purchase, purchased_new, url, access_rights
                                            from view_$type where users=$owner_id and access_rights=$access[public] order by name");
    else
      $all = pg_query($database, "select identifier, name, model, variation, serial_number, date_of_purchase, purchased_new, url, access_rights
                                            from view_$type where users=$owner_id and access_rights<=$access[protected] order by name");
  }

  $num_of = pg_num_rows($all);
  if ($viewer_id!=$owner_id && $num_of == 0)
    return;

  print "<table align=\"center\" bgcolor=\"$color[table_background]\" border=\"0\" cellspacing=\"1\" cellpadding=\"3\" width=\"100%\">\n";
  print "<tr>\n";
  print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"5%\">Id</td>\n";
  print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"35%\">Model</td>\n";
  print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"13%\">Serial Number</td>\n";
  print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"7%\">New</td>\n";
  print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"20%\" nowrap>Purchase Date</td>\n";
  if ($viewer_id==$owner_id) {
    print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"10%\" >Access</td>\n";
    print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"10%\" colspan=\"2\"><a href=\"profile.add.php?type=$type\">Add</a></td>\n";
  }
  print "</tr>\n";

  for ($i=0; $i < $num_of; $i++) {
    $row = pg_fetch_row($all, $i);
    print "<tr color=$color[table_body]>\n";
    print "<td align=\"left\" bgcolor=\"$color[table_body]\" >$row[0]</td>\n";
    print "<td align=\"left\" bgcolor=\"$color[table_body]\" ><a href=\"$row[7]\">$row[1]</a> $row[2] $row[3]</td>\n";
    print "<td align=\"left\" bgcolor=\"$color[table_body]\" >$row[4]</td>\n";
    print "<td align=\"left\" bgcolor=\"$color[table_body]\" >"; display_yes_no_text($row[6]); print"</td>\n";
    print "<td align=\"left\" bgcolor=\"$color[table_body]\" >".generate_date_html($row[5], 'date', $viewer_id == "" ? 0 : 1). "</td>\n";
    if ($viewer_id==$owner_id) {
      print "<td align=\"left\" bgcolor=\"$color[table_body]\" >$row[8]</td>\n";
      print "<td align=\"left\" bgcolor=\"$color[table_body]\" ><a href=\"profile.edit.php?item=$row[0]&amp;type=$type\">Edit</a></td>\n";
      print "<td align=\"left\" bgcolor=\"$color[table_body]\" ><a href=\"profile.del.php?item=$row[0]&amp;type=$type\">Delete</a></td>\n";
    }
    print "</tr>\n";
  }
  print "</table>\n";
}

function display_film($database, $viewer_id, $owner_id) {
  global $color;
  global $style;
  global $access;

  if ($viewer_id==$owner_id) {
    $all_films = pg_query($database, "select identifier, name, model, iso, format, url, access_rights
                                        from view_film where users=$owner_id order by name");
  } else {
    $client = FALSE;
    if ($owner_id != "" && $viewer_id != "")
      $client = pg_fetch_row(pg_query ($database, "select identifier from client where users='$owner_id' and client='$viewer_id' and status=2"));
    if ($client == FALSE)
      $all_films = pg_query($database, "select identifier, name, model, iso, format, url, access_rights
                                          from view_film where users=$owner_id and access_rights=$access[public] order by name");
    else
      $all_films = pg_query($database, "select identifier, name, model, iso, format, url, access_rights
                                          from view_film where users=$owner_id and access_rights<=$access[protected] order by name");
  }

  $num_of_films = pg_num_rows($all_films);
  if ($viewer_id!=$owner_id && $num_of_films == 0)
    return;

  print "<table align=\"center\" bgcolor=\"$color[table_background]\" border=\"0\" cellspacing=\"1\" cellpadding=\"3\" width=\"100%\">\n";
  print "<tr>\n";
  print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"5%\">Id</td>\n";
  print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"35%\">Model</td>\n";
  print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"13%\"></td>\n";
  print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"7%\"></td>\n";
  print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"20%\">Format</td>\n";
  if ($viewer_id==$owner_id) {
    print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"10%\" >Access</td>\n";
    print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"10%\" colspan=\"2\"><a href=\"film.add.php\">Add</a></td>\n";
  }
  print "</tr>\n";

  for ($i=0; $i < $num_of_films; $i++) {
    $film = pg_fetch_row($all_films, $i);
    print "<tr color=$color[table_body]>\n";
    print "<td align=\"left\" bgcolor=\"$color[table_body]\" >$film[0]</td>\n";
    print "<td align=\"left\" bgcolor=\"$color[table_body]\" ><a href=\"$film[5]\">$film[1]</a> $film[2] $film[3]</td>\n";
    print "<td align=\"left\" bgcolor=\"$color[table_body]\" ></td>\n";
    print "<td align=\"left\" bgcolor=\"$color[table_body]\" ></td>\n";
    print "<td align=\"left\" bgcolor=\"$color[table_body]\" >$film[4]</td>\n";
    if ($viewer_id==$owner_id) {
      print "<td align=\"left\" bgcolor=\"$color[table_body]\" >$film[6]</td>\n";
      print "<td align=\"left\" bgcolor=\"$color[table_body]\" ><a href=\"film.edit.php?item=$film[0]\">Edit</a></td>\n";
      print "<td align=\"left\" bgcolor=\"$color[table_body]\" ><a href=\"film.del.php?item=$film[0]\">Delete</a></td>\n";
    }
    print "</tr>\n";
  }
  print "</table>\n";
}


function display_manufacturer($database, $viewer_id, $owner_id) {
  global $color;
  global $style;
  global $access;

  if ($owner_id == "*")
    $all_manufacturers = pg_query($database, "select identifier, name, url, last_modified_date from manufacturer order by name");
  else
    $all_manufacturers = pg_query($database, "select identifier, name, url, last_modified_date
                                                from manufacturer where last_modifying_users=$owner_id order by name");

  $num_of_manufacturers = pg_num_rows($all_manufacturers);
  if ($owner_id == "*" && $num_of_manufacturers == 0)
    return;

  print "<table align=\"center\" bgcolor=\"$color[table_background]\" border=\"0\" cellspacing=\"1\" cellpadding=\"3\" width=\"100%\">\n";
  if ($owner_id == "*") {
    print "<tr bgcolor=\"$color[table_top]\">\n";
    print "<td align=\"left\" bgcolor=\"$color[table_top]\" colspan=\"4\"><font class=\"header\">All Manufacturers in the System</font></td>\n";
    print "</tr>\n";
  }
  print "<tr>\n";
  print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"5%\">Id</td>\n";
  print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"25%\">Name</td>\n";
  print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"40%\">URL</td>\n";
  print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"20%\" nowrap>Created</td>\n";
  if ($owner_id != "*")
    print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"10%\" colspan=\"2\"><a href=\"manufacturer.add.php\">Add</a></td>\n";
  print "</tr>\n";

  for ($i=0; $i < $num_of_manufacturers; $i++) {
    $manufacturer = pg_fetch_row($all_manufacturers, $i);
    print "<tr color=$color[table_body]>\n";
    print "<td align=\"left\" bgcolor=\"$color[table_body]\" >$manufacturer[0]</td>\n";
    print "<td align=\"left\" bgcolor=\"$color[table_body]\" ><a href=\"$manufacturer[2]\">$manufacturer[1]</a></td>\n";
    print "<td align=\"left\" bgcolor=\"$color[table_body]\" ><a href=\"$manufacturer[2]\">$manufacturer[2]</a></td>\n";
    print "<td align=\"left\" bgcolor=\"$color[table_body]\" >".generate_date_html($manufacturer[3], 'date', $viewer_id == "" ? 0 : 1). "</td>\n";
    if ($owner_id != "*") {
      print "<td align=\"left\" bgcolor=\"$color[table_body]\" ><a href=\"manufacturer.edit.php?item=$manufacturer[0]\">Edit</a></td>\n";
      print "<td align=\"left\" bgcolor=\"$color[table_body]\" ><a href=\"manufacturer.del.php?item=$manufacturer[0]\">Delete</a></td>\n";
    }
    print "</tr>\n";
  }
  print "</table>\n";
}

function display_label($database, $viewer_id, $owner_id) {
  global $color;
  global $style;

  if ($owner_id == "*") {
    $all_labels = pg_query($database, "
      select label.identifier,
             (select url from manufacturer where identifier=label.manufacturer),
             (select name from manufacturer where identifier=label.manufacturer),
             label.name, paper.name,
             space_x, space_y, label.size_x, label.size_y, offset_x, offset_y,
             columns, rows, date_of_creation
        from label, paper
       where label.paper=paper.identifier
       order by label.identifier");
  }
  else {
    $all_labels = pg_query($database, "
      select label.identifier,
             (select url from manufacturer where identifier=label.manufacturer),
             (select name from manufacturer where identifier=label.manufacturer),
             label.name, paper.name,
             space_x, space_y, label.size_x, label.size_y, offset_x, offset_y,
             columns, rows, date_of_creation
        from label, paper
       where label.paper=paper.identifier
         and label.users=$viewer_id
       order by label.identifier");
  }

  $num_of_labels = pg_num_rows($all_labels);
  if ($owner_id == "*" && $num_of_labels == 0)
    return;

  print "<table align=\"center\" bgcolor=\"$color[table_background]\" border=\"0\" cellspacing=\"1\" cellpadding=\"3\" width=\"100%\">\n";
  if ($owner_id == "*") {
    print "<tr bgcolor=\"$color[table_top]\">\n";
    print "<td align=\"left\" bgcolor=\"$color[table_top]\"colspan=\"11\"><font class=\"header\">All Labels in the System</font></td>\n";
    print "</tr>\n";
  }
  print "<tr>\n";
  print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"5%\">Id</td>\n";
  print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"25%\">Model</td>\n";
  print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"5%\" nowrap>H Space</td>\n";
  print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"5%\" nowrap>V Space</td>\n";
  print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"5%\" nowrap>Width</td>\n";
  print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"5%\" nowrap>Height</td>\n";
  print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"5%\" nowrap>H Offset</td>\n";
  print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"5%\" nowrap>V Offset</td>\n";
  print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"5%\" nowrap>Rows</td>\n";
  print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"5%\" nowrap>Colums</td>\n";
  print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"20%\" nowrap>Created</td>\n";
  if ($owner_id != "*") {
    print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"10%\" colspan=\"2\"><a href=\"label.add.php\">Add</a></td>\n";
  }
  print "</tr>\n";

  for ($i=0; $i < $num_of_labels; $i++) {
    $label = pg_fetch_row($all_labels, $i);
    print "<tr color=$color[table_body]>\n";
    print "<td align=\"left\" bgcolor=\"$color[table_body]\" >$label[0]</td>\n";
    print "<td align=\"left\" bgcolor=\"$color[table_body]\" ><a href=\"$label[1]\">$label[2]</a> $label[3], $label[4]</td>\n";
    print "<td align=\"left\" bgcolor=\"$color[table_body]\" >$label[5]</td>\n";
    print "<td align=\"left\" bgcolor=\"$color[table_body]\" >$label[6]</td>\n";
    print "<td align=\"left\" bgcolor=\"$color[table_body]\" >$label[7]</td>\n";
    print "<td align=\"left\" bgcolor=\"$color[table_body]\" >$label[8]</td>\n";
    print "<td align=\"left\" bgcolor=\"$color[table_body]\" >$label[9]</td>\n";
    print "<td align=\"left\" bgcolor=\"$color[table_body]\" >$label[10]</td>\n";
    print "<td align=\"left\" bgcolor=\"$color[table_body]\" >$label[11]</td>\n";
    print "<td align=\"left\" bgcolor=\"$color[table_body]\" >$label[12]</td>\n";
    print "<td align=\"left\" bgcolor=\"$color[table_body]\" >".generate_date_html($label[13], 'date', $viewer_id == "" ? 0 : 1). "</td>\n";
    if ($owner_id != "*") {
      print "<td align=\"left\" bgcolor=\"$color[table_body]\" ><a href=\"label.edit.php?item=$label[0]\">Edit</a></td>\n";
      print "<td align=\"left\" bgcolor=\"$color[table_body]\" ><a href=\"label.del.php?item=$label[0]\">Delete</a></td>\n";
    }
    print "</tr>\n";
  }
  print "</table>\n";
}

function display_location($database, $viewer_id) {
  global $color;
  global $style;
  global $po_user;
  global $user_type;

  $filter = " where private is false ";
  if ($po_user['type'] == $user_type['administrator'])
    $filter = "";

  if ($viewer_id == "*") {
    $result = pg_query($database, "select identifier, place, city, state, country, last_modified_date, latitude, longitude, private
                                     from view_location
                                    $filter
                                    order by country, state, city, place");
  } else {
    $result = pg_query($database, "select identifier, place, city, state, country, last_modified_date, latitude, longitude, private
                                     from view_location
                                    where users=$viewer_id
                                    order by country, state, city, place");
  }

  $num = pg_num_rows($result);

  print "<table align=\"center\" bgcolor=\"$color[table_background]\" border=\"0\" cellspacing=\"1\" cellpadding=\"3\" width=\"100%\">\n";
  if ($viewer_id == "*") {
    print "<tr bgcolor=\"$color[table_top]\">\n";
    print "<td align=\"left\" bgcolor=\"$color[table_top]\" colspan=\"6\"><font class=\"nodecor\">All Locations in the System</font></td>\n";
    print "</tr>\n";
  }
  print "<tr>\n";
  print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"5%\">Id</td>\n";
  print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"40%\">Description</td>\n";
  print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"10%\">Latitude</td>\n";
  print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"10%\">Longitude</td>\n";
  print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"20%\" nowrap>Created</td>\n";
  if ($viewer_id != "*") {
    print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"5%\">Private</td>\n";
    print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"10%\" colspan=\"2\"><a href=\"location.add.php\">Add</a></td>\n";
  }
  print "</tr>\n";

  for ($i=0; $i < $num; $i++) {
    $r = pg_fetch_row($result, $i);
    if ($r[1] != '' && ($r[2] != '' || $r[3] != '' ||  $r[4] != '')) {
      $r[1] = sprintf("%s,", $r[1]);
    }
    if ($r[2] != '' && ($r[3] != '' ||  $r[4] != '')) {
      $r[2] = sprintf("%s,", $r[2]);
    }
    if ($r[3] != '' && $r[4] != '') {
      $r[3] = sprintf("%s,", $r[3]);
    }
    print "<tr color=$color[table_body]>\n";
    print "<td align=\"left\" bgcolor=\"$color[table_body]\" >$r[0]</td>\n";
    print "<td align=\"left\" bgcolor=\"$color[table_body]\" >$r[1] $r[2] $r[3] $r[4]</td>\n";
    print "<td align=\"left\" bgcolor=\"$color[table_body]\" >$r[6]</td>\n";
    print "<td align=\"left\" bgcolor=\"$color[table_body]\" >$r[7]</td>\n";
    print "<td align=\"left\" bgcolor=\"$color[table_body]\" >".generate_date_html($r[5], 'date', $viewer_id == "" ? 0 : 1)."</td>\n";
    if ($viewer_id != "*") {
      print "<td align=\"left\" bgcolor=\"$color[table_body]\" >";
      display_yes_no_text($r[8]);
      print "</td>\n";
      print "<td align=\"left\" bgcolor=\"$color[table_body]\" ><a href=\"location.edit.php?item=$r[0]\">Edit</a></td>\n";
      print "<td align=\"left\" bgcolor=\"$color[table_body]\" ><a href=\"location.del.php?item=$r[0]\">Delete</a></td>\n";
    }
    print "</tr>\n";
  }
  print "</table>\n";
}


function display_shop_items($database, $viewer_id, $owner_id) {
  global $color;
  global $style;

  if ($owner_id == "*") {
    $all_shop_items = pg_query($database, "
      select shop_item.identifier, description, shop_item.date_of_creation, caption
        from shop_item, shop_category
       where shop_item.category = shop_category.identifier");
  }
  else {
    $all_shop_items = pg_query($database, "
      select shop_item.identifier, description, shop_item.date_of_creation, caption
        from shop_item, shop_category
       where shop_item.category = shop_category.identifier
         and shop_item.users=$viewer_id");
  }

  $num_of_shop_items = pg_num_rows($all_shop_items);
  if ($owner_id == "*" && $num_of_shop_items == 0)
    return;

  print "<table align=\"center\" bgcolor=\"$color[table_background]\" border=\"0\" cellspacing=\"1\" cellpadding=\"3\" width=\"100%\">\n";
  print "<tr bgcolor=\"$color[table_top]\">\n";
  if ($owner_id == "*") {
    print "<td align=\"left\" bgcolor=\"$color[table_top]\" colspan=\"11\"><font class=\"header\">All Shop Items in the System</font></td>\n";
  }
  else {
    print "<td align=\"left\" bgcolor=\"$color[table_top]\" colspan=\"11\"><font class=\"header\">Shop Items</font></td>\n";
  }
  print "</tr>\n";
  print "<tr>\n";
  print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"5%\" nowrap>Id</td>\n";
  print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"50%\" nowrap>Description</td>\n";
  print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"20%\" nowrap>Category</td>\n";
  print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"15%\" nowrap>Created</td>\n";
  if ($owner_id != "*") {
    print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"10%\" colspan=\"2\"><a href=\"shop.item.add.php\">Add</a></td>\n";
  }
  print "</tr>\n";

  for ($i=0; $i < $num_of_shop_items; $i++) {
    $shop_item = pg_fetch_row($all_shop_items, $i);
    print "<tr color=$color[table_body]>\n";
    print "<td align=\"left\" bgcolor=\"$color[table_body]\" >$shop_item[0]</td>\n";
    print "<td align=\"left\" bgcolor=\"$color[table_body]\" >$shop_item[1]</td>\n";
    print "<td align=\"left\" bgcolor=\"$color[table_body]\" >$shop_item[3]</td>\n";
    print "<td align=\"left\" bgcolor=\"$color[table_body]\" >".generate_date_html($shop_item[2], 'date', $viewer_id == "" ? 0 : 1). "</td>\n";
    if ($owner_id != "*") {
      print "<td align=\"left\" bgcolor=\"$color[table_body]\" ><a href=\"shop.item.edit.php?item=$shop_item[0]\">Edit</a></td>\n";
      print "<td align=\"left\" bgcolor=\"$color[table_body]\" ><a href=\"shop.item.del.php?item=$shop_item[0]\">Delete</a></td>\n";
    }
    print "</tr>\n";
  }
  print "</table>\n";
}

function display_shop_categories($database, $viewer_id, $owner_id) {
  global $color;
  global $style;

  if ($owner_id == "*") {
    $all_shop_categories = pg_query($database, "
      select identifier, caption, date_of_creation
        from shop_category");
  }
  else {
    $all_shop_categories = pg_query($database, "
      select identifier, caption, date_of_creation
        from shop_category
       where users=$viewer_id");
  }

  $num_of_shop_categories = pg_num_rows($all_shop_categories);
  if ($owner_id == "*" && $num_of_shop_categories == 0)
    return;

  print "<table align=\"center\" bgcolor=\"$color[table_background]\" border=\"0\" cellspacing=\"1\" cellpadding=\"3\" width=\"100%\">\n";
  print "<tr bgcolor=\"$color[table_top]\">\n";
  if ($owner_id == "*") {
    print "<td align=\"left\" bgcolor=\"$color[table_top]\" colspan=\"11\"><font class=\"header\">All Shop Categories in the System</font></td>\n";
  }
  else {
    print "<td align=\"left\" bgcolor=\"$color[table_top]\" colspan=\"11\"><font class=\"header\">Shop Categories</font></td>\n";
  }
  print "</tr>\n";
  print "<tr>\n";
  print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"5%\" nowrap>Id</td>\n";
  print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"70%\" nowrap>Description</td>\n";
  print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"15%\" nowrap>Created</td>\n";
  if ($owner_id != "*") {
    print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"10%\" colspan=\"2\"><a href=\"shop.category.add.php\">Add</a></td>\n";
  }
  print "</tr>\n";

  for ($i=0; $i < $num_of_shop_categories; $i++) {
    $shop_category = pg_fetch_row($all_shop_categories, $i);
    print "<tr color=$color[table_body]>\n";
    print "<td align=\"left\" bgcolor=\"$color[table_body]\" >$shop_category[0]</td>\n";
    print "<td align=\"left\" bgcolor=\"$color[table_body]\" >$shop_category[1]</td>\n";
    print "<td align=\"left\" bgcolor=\"$color[table_body]\" >".generate_date_html($shop_category[2], 'date', $viewer_id == "" ? 0 : 1). "</td>\n";
    if ($owner_id != "*") {
      print "<td align=\"left\" bgcolor=\"$color[table_body]\" ><a href=\"shop.category.edit.php?item=$shop_category[0]\">Edit</a></td>\n";
      print "<td align=\"left\" bgcolor=\"$color[table_body]\" ><a href=\"shop.category.del.php?item=$shop_category[0]\">Delete</a></td>\n";
    }
    print "</tr>\n";
  }
  print "</table>\n";
}

/* type is:  flash filter camera film support scanner lens */
function profile_del_item ($database, $type, $identifier)
{
  global $po_user;
  global $user_type;

  $type = pg_escape_string($type);
  $identifer = pg_escape_string($identifier);

  $type_to_remove = FALSE;

  if ($identifier != "") {

    /* Ensure the user owns it !*/
    if ($po_user['type'] < $user_type['administrator']) {
      $result = pg_fetch_row(pg_query($database, "select count(identifier) from $type where identifier=$identifier and users=$po_user[id]"));
      if ($result[0] == 0) {
	return FALSE;
      }
    }

    pg_query($database, "begin");
    $number_of_same_type = pg_fetch_row(pg_query($database, "select count(identifier) from $type where type=(select type from $type where identifier='$identifier')"));
    if ($number_of_same_type[0] == 1) {
      $type_to_remove = pg_fetch_row(pg_query($database, "select type from $type where identifier='$identifier'"));
    }

    $result = pg_query($database, "delete from $type where identifier='$identifier'");
    if (!$result) {
      pg_query($database, "rollback");
      print "Failed to delete $type: $identifier";
      return FALSE;
    }

    if ($number_of_same_type[0] == 1) {
      $result = pg_query($database, "delete from ".$type."_type where identifier='$type_to_remove[0]'");
      if (!$result) {
        pg_query($database, "rollback");
        print "Failed to delete $type type: $type_to_remove";
        return FALSE;
      }
    }
    pg_query($database, "commit");
  }
  return TRUE;
}

/* type = flash, filter, scanner, support  [lens film camera won't work] */
function profile_update_item($database, $identifier, $user_id, $type,
			     $type_id, $manufacturer_id, 
			     $model, $variation, $serial,
			     $date_of_purchase,  $purchased_new,
			     $access_rights)
{
  global $po_user;
  global $user_type;

  $user_id = pg_escape_string($user_id);
  $type = pg_escape_string($type);

  $identifier = pg_escape_string($identifier);
  $model = pg_escape_string($model);
  $variation = pg_escape_string($variation);
  $serial = pg_escape_string($serial);
  $date_of_purchase = check_date_validity($date_of_purchase);
  $purcahsed_new = pg_escape_string($purchased_new);
  $access_rights = pg_escape_string($access_rights);
  
  $type_to_remove = FALSE;

  /* Ensure the user owns it !*/
  if ($po_user['type'] < $user_type['administrator']) {
    $result = pg_fetch_row(pg_query($database, "select count(identifier) from $type where identifier=$identifier and users=$user_id"));
    if ($result[0] == 0) {
      return FALSE;
    }
  }

  pg_query($database, "begin");

  if ($type_id=='custom') {
    /* type has changed */
    $number_of_same_type = pg_fetch_row(pg_query($database, "select count(identifier) from $type where type=(select type from $type where identifier='$identifier')"));
    if ($number_of_same_type[0] == 1) {
      /* there was only one of this kind, so we have to remove it */
      $type_to_remove = pg_fetch_row(pg_query($database, "select type from $type where identifier='$identifier'"));
    }

    /* create new type */
    $new_type_id = pg_fetch_row(pg_query($database, "select nextval('".$type."_type_id_sequence')"));
    $type_id = $new_type_id[0];
    $result = pg_query($database, "insert into ".$type."_type (identifier, manufacturer, model, variation, last_modified_date, last_modifying_users)
                                   values ($type_id, $manufacturer_id, '$model', '$variation', now(), $user_id)");
    if (!$result) {
      pg_query($database, "rollback");
      print "Failed to create new type";
      return FALSE;
    }
  }

  /* add item */
  $result = pg_query($database, "update $type set type=$type_id, serial_number='$serial', date_of_purchase=$date_of_purchase, purchased_new='$purchased_new', access_rights='$access_rights'  where identifier='$identifier'");
  if (!$result) {
    pg_query($database, "rollback");
    print "Failed to create new item";
    print "update $type set type=$type_id, serial_number='$serial', date_of_purchase=$date_of_purchase, purchased_new='$purchased_new', access_rights='$access_rights'  where identifier='$identifier'";

    return FALSE;
  }

  /* remove old type */
  if ($type_to_remove) {
    $result = pg_query($database, "delete from ".$type."_type where identifier='$type_to_remove[0]'");
    if (!$result) {
      pg_query($database, "rollback");
      print "Failed to delete type: $type";
      return FALSE;
    }
  }

  pg_query($database, "commit");

  return TRUE;
}
			   

?>
