<?php

//  Copyright (C) 2002-2006 Balint Kis (balint@k-i-s.net)
//  Copyright (C) 2005-2006 Solomon Peachy (pizza@shaftnet.org)

//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.

//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.

//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

include_once "include/vars.php";
include_once "include/config.php";
include_once "$theme/theme.php";
include_once "include/common.php";
include_once "include/contacts.php";
include_once "include/site.php";

$database = site_prolog();

if ($po_user['type'] < $user_type['user']) {
  site_epilog($database);
  header("location: login.php");
  exit();
}

site_header($page_width, "Store");
site_navigator(11);
site_navigator_status("<a href=\"user.php\">Users</a> : My Store", "");
print "&nbsp;<br/>\n";

for ($transaction_status = 1; $transaction_status < 3; $transaction_status++) {
  $all_pending_transactions = pg_query($database, "
  select distinct on (shop_transaction.identifier)
         shop_transaction.identifier,
         (select sum(shop_order.pieces*photo_item.price) from shop_order, photo_item where shop_order.transaction=shop_transaction.identifier and shop_order.item=photo_item.identifier) as total_price,
         (select sum(pieces) from shop_order where shop_order.transaction=shop_transaction.identifier) as items,
         (select alpha_code from shop_order, photo_item, currency where shop_order.transaction=shop_transaction.identifier and shop_order.item=photo_item.identifier and photo_item.currency=currency.identifier limit 1) as total_price,
         client, first_name, last_name,
         shop_transaction.remark
    from shop_transaction, shop_order, users
   where shop_order.client=users.identifier
     and shop_transaction.status=$transaction_status
     and shop_transaction.identifier=shop_order.transaction
   order by shop_transaction.identifier desc");

  if (pg_num_rows($all_pending_transactions) == 0) {
    if ($transaction_status == 1) {
      print "<div align=\"center\" >There are no pending transactions.</div>";
    }
    continue;
  }

  print "<table align=\"center\" bgcolor=\"$color[table_background]\" border=\"0\" cellspacing=\"1\" cellpadding=\"3\" width=\"100%\"><tr>\n";
  switch ($transaction_status) {
  case 1:
    print "<td bgcolor=\"$color[table_top]\" colspan=\"5\">Pending Orders</td></tr><tr>";
    break;
  case 2:
    print "<td bgcolor=\"$color[table_top]\" colspan=\"5\">Shipped</td></tr><tr>";
    break;
  }

  print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"10%\">Order</td>";
  print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"8%\">Value</td>";
  print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"8%\">Pieces</td>";
  print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"14%\">Client</td>";
  print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"60%\">Client's Remark</td>";
  print "</tr>";

  for ($item = 0; $item < pg_num_rows($all_pending_transactions); $item++) {
    $transaction = pg_fetch_row($all_pending_transactions, $item);
    $display_transaction_id = str_pad($transaction[0], 6, "0", STR_PAD_LEFT);
    print "<tr>";
    print "<td align=\"left\" bgcolor=\"$color[table_body]\" ><a href=\"shop.order.php?order=$display_transaction_id\">$display_transaction_id</a></td>";
    print "<td align=\"left\" bgcolor=\"$color[table_body]\" >$transaction[3] $transaction[1]</td>";
    print "<td align=\"left\" bgcolor=\"$color[table_body]\" >$transaction[2]</td>";
    print "<td align=\"left\" bgcolor=\"$color[table_body]\" ><a href=\"user.php?user=$transaction[4]\">$transaction[6], $transaction[5]</a></td>";
    print "<td align=\"left\" bgcolor=\"$color[table_body]\" >$transaction[7]</td>";
    print "</tr>";
  }

  print "</table>";
  print "&nbsp;<br/>\n";
}


print "<script language=\"JavaScript\" type=\"text/javascript\" src=\"javascript/wz_tooltip.js\"></script>";
site_footer($database);
site_epilog($database);
?>
