
--  Copyright (C) 2002, 2003, 2004, 2005, 2006 Balint Kis (balint@k-i-s.net)

--  This program is free software; you can redistribute it and/or modify
--  it under the terms of the GNU General Public License as published by
--  the Free Software Foundation; either version 2 of the License, or
--  (at your option) any later version.

--  This program is distributed in the hope that it will be useful,
--  but WITHOUT ANY WARRANTY; without even the implied warranty of
--  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
--  GNU General Public License for more details.

--  You should have received a copy of the GNU General Public License
--  along with this program; if not, write to the Free Software
--  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

----------------------------------------------------------
-- v2.5
----------------------------------------------------------

insert into version values (2, 'second customer release', 2, 5, 'C' );

insert into access_type values (nextval('access_type_id_sequence'), 'Public');
insert into access_type values (nextval('access_type_id_sequence'), 'Protected');
insert into access_type values (nextval('access_type_id_sequence'), 'Private');

insert into user_type values (nextval('user_type_id_sequence'), 'Disabled');
insert into user_type values (nextval('user_type_id_sequence'), 'Client');
insert into user_type values (nextval('user_type_id_sequence'), 'User');
insert into user_type values (nextval('user_type_id_sequence'), 'Administrator');

insert into preferences values (1, 'pdf', '8', '20', '1', 4, 4, '', 'slide', '20', 0.2, 0.2, 0.4, 0.4);
insert into contact_info values (1, '', '', '', '', null, null, '', '', '');
insert into users values (1, 'admin', 'admin', '', 'admin', 'admin', '30091973', 1, now(), 1, 4);
insert into folder values (1, null, 1, 'Trash', now(), 3);

insert into aperture values (nextval('aperture_id_sequence'), '0.5');
insert into aperture values (nextval('aperture_id_sequence'), '0.75');
insert into aperture values (nextval('aperture_id_sequence'), '1.0');
insert into aperture values (nextval('aperture_id_sequence'), '1.2');
insert into aperture values (nextval('aperture_id_sequence'), '1.3');
insert into aperture values (nextval('aperture_id_sequence'), '1.4');
insert into aperture values (nextval('aperture_id_sequence'), '1.6');
insert into aperture values (nextval('aperture_id_sequence'), '1.8');
insert into aperture values (nextval('aperture_id_sequence'), '2.0');
insert into aperture values (nextval('aperture_id_sequence'), '2.2');
insert into aperture values (nextval('aperture_id_sequence'), '2.5');
insert into aperture values (nextval('aperture_id_sequence'), '2.8');
insert into aperture values (nextval('aperture_id_sequence'), '3.2');
insert into aperture values (nextval('aperture_id_sequence'), '3.5');
insert into aperture values (nextval('aperture_id_sequence'), '4.0');
insert into aperture values (nextval('aperture_id_sequence'), '4.5');
insert into aperture values (nextval('aperture_id_sequence'), '5.0');
insert into aperture values (nextval('aperture_id_sequence'), '5.6');
insert into aperture values (nextval('aperture_id_sequence'), '6.3');
insert into aperture values (nextval('aperture_id_sequence'), '7.1');
insert into aperture values (nextval('aperture_id_sequence'), '8.0');
insert into aperture values (nextval('aperture_id_sequence'), '9.0');
insert into aperture values (nextval('aperture_id_sequence'), '10');
insert into aperture values (nextval('aperture_id_sequence'), '11');
insert into aperture values (nextval('aperture_id_sequence'), '13');
insert into aperture values (nextval('aperture_id_sequence'), '14');
insert into aperture values (nextval('aperture_id_sequence'), '16');
insert into aperture values (nextval('aperture_id_sequence'), '18');
insert into aperture values (nextval('aperture_id_sequence'), '20');
insert into aperture values (nextval('aperture_id_sequence'), '22');
insert into aperture values (nextval('aperture_id_sequence'), '25');
insert into aperture values (nextval('aperture_id_sequence'), '28');
insert into aperture values (nextval('aperture_id_sequence'), '32');
insert into aperture values (nextval('aperture_id_sequence'), '36');
insert into aperture values (nextval('aperture_id_sequence'), '40');
insert into aperture values (nextval('aperture_id_sequence'), '45');
insert into aperture values (nextval('aperture_id_sequence'), '51');
insert into aperture values (nextval('aperture_id_sequence'), '57');
insert into aperture values (nextval('aperture_id_sequence'), '64');
insert into aperture values (nextval('aperture_id_sequence'), '72');
insert into aperture values (nextval('aperture_id_sequence'), '81');
insert into aperture values (nextval('aperture_id_sequence'), '90');
insert into aperture values (nextval('aperture_id_sequence'), '103');
insert into aperture values (nextval('aperture_id_sequence'), '115');
insert into aperture values (nextval('aperture_id_sequence'), '128');


insert into shutter values (nextval('shutter_id_sequence'), '60');
insert into shutter values (nextval('shutter_id_sequence'), '30');
insert into shutter values (nextval('shutter_id_sequence'), '25');
insert into shutter values (nextval('shutter_id_sequence'), '20');
insert into shutter values (nextval('shutter_id_sequence'), '15');
insert into shutter values (nextval('shutter_id_sequence'), '13');
insert into shutter values (nextval('shutter_id_sequence'), '10');
insert into shutter values (nextval('shutter_id_sequence'), '8');
insert into shutter values (nextval('shutter_id_sequence'), '6');
insert into shutter values (nextval('shutter_id_sequence'), '5');
insert into shutter values (nextval('shutter_id_sequence'), '4');
insert into shutter values (nextval('shutter_id_sequence'), '3');
insert into shutter values (nextval('shutter_id_sequence'), '2.5');
insert into shutter values (nextval('shutter_id_sequence'), '2');
insert into shutter values (nextval('shutter_id_sequence'), '1.6');
insert into shutter values (nextval('shutter_id_sequence'), '1.3');
insert into shutter values (nextval('shutter_id_sequence'), '1');
insert into shutter values (nextval('shutter_id_sequence'), '1.3');
insert into shutter values (nextval('shutter_id_sequence'), '1.6');
insert into shutter values (nextval('shutter_id_sequence'), '2.0');
insert into shutter values (nextval('shutter_id_sequence'), '2.5');
insert into shutter values (nextval('shutter_id_sequence'), '3');
insert into shutter values (nextval('shutter_id_sequence'), '4');
insert into shutter values (nextval('shutter_id_sequence'), '5');
insert into shutter values (nextval('shutter_id_sequence'), '6');
insert into shutter values (nextval('shutter_id_sequence'), '8');
insert into shutter values (nextval('shutter_id_sequence'), '10');
insert into shutter values (nextval('shutter_id_sequence'), '13');
insert into shutter values (nextval('shutter_id_sequence'), '15');
insert into shutter values (nextval('shutter_id_sequence'), '20');
insert into shutter values (nextval('shutter_id_sequence'), '25');
insert into shutter values (nextval('shutter_id_sequence'), '30');
insert into shutter values (nextval('shutter_id_sequence'), '40');
insert into shutter values (nextval('shutter_id_sequence'), '50');
insert into shutter values (nextval('shutter_id_sequence'), '60');
insert into shutter values (nextval('shutter_id_sequence'), '80');
insert into shutter values (nextval('shutter_id_sequence'), '100');
insert into shutter values (nextval('shutter_id_sequence'), '125');
insert into shutter values (nextval('shutter_id_sequence'), '160');
insert into shutter values (nextval('shutter_id_sequence'), '200');
insert into shutter values (nextval('shutter_id_sequence'), '250');
insert into shutter values (nextval('shutter_id_sequence'), '320');
insert into shutter values (nextval('shutter_id_sequence'), '400');
insert into shutter values (nextval('shutter_id_sequence'), '500');
insert into shutter values (nextval('shutter_id_sequence'), '640');
insert into shutter values (nextval('shutter_id_sequence'), '800');
insert into shutter values (nextval('shutter_id_sequence'), '1000');
insert into shutter values (nextval('shutter_id_sequence'), '1250');
insert into shutter values (nextval('shutter_id_sequence'), '1600');
insert into shutter values (nextval('shutter_id_sequence'), '2000');
insert into shutter values (nextval('shutter_id_sequence'), '2500');
insert into shutter values (nextval('shutter_id_sequence'), '3200');
insert into shutter values (nextval('shutter_id_sequence'), '4000');
insert into shutter values (nextval('shutter_id_sequence'), '5000');
insert into shutter values (nextval('shutter_id_sequence'), '6400');
insert into shutter values (nextval('shutter_id_sequence'), '8000');

insert into focal_length values (nextval('focal_length_id_sequence'), '5');
insert into focal_length values (nextval('focal_length_id_sequence'), '6');
insert into focal_length values (nextval('focal_length_id_sequence'), '7');
insert into focal_length values (nextval('focal_length_id_sequence'), '8');
insert into focal_length values (nextval('focal_length_id_sequence'), '9');
insert into focal_length values (nextval('focal_length_id_sequence'), '10');
insert into focal_length values (nextval('focal_length_id_sequence'), '11');
insert into focal_length values (nextval('focal_length_id_sequence'), '12');
insert into focal_length values (nextval('focal_length_id_sequence'), '13');
insert into focal_length values (nextval('focal_length_id_sequence'), '14');
insert into focal_length values (nextval('focal_length_id_sequence'), '15');
insert into focal_length values (nextval('focal_length_id_sequence'), '16');
insert into focal_length values (nextval('focal_length_id_sequence'), '17');
insert into focal_length values (nextval('focal_length_id_sequence'), '18');
insert into focal_length values (nextval('focal_length_id_sequence'), '19');
insert into focal_length values (nextval('focal_length_id_sequence'), '20');
insert into focal_length values (nextval('focal_length_id_sequence'), '24');
insert into focal_length values (nextval('focal_length_id_sequence'), '28');
insert into focal_length values (nextval('focal_length_id_sequence'), '35');
insert into focal_length values (nextval('focal_length_id_sequence'), '40');
insert into focal_length values (nextval('focal_length_id_sequence'), '45');
insert into focal_length values (nextval('focal_length_id_sequence'), '50');
insert into focal_length values (nextval('focal_length_id_sequence'), '55');
insert into focal_length values (nextval('focal_length_id_sequence'), '60');
insert into focal_length values (nextval('focal_length_id_sequence'), '70');
insert into focal_length values (nextval('focal_length_id_sequence'), '80');
insert into focal_length values (nextval('focal_length_id_sequence'), '85');
insert into focal_length values (nextval('focal_length_id_sequence'), '90');
insert into focal_length values (nextval('focal_length_id_sequence'), '105');
insert into focal_length values (nextval('focal_length_id_sequence'), '120');
insert into focal_length values (nextval('focal_length_id_sequence'), '135');
insert into focal_length values (nextval('focal_length_id_sequence'), '150');
insert into focal_length values (nextval('focal_length_id_sequence'), '180');
insert into focal_length values (nextval('focal_length_id_sequence'), '200');
insert into focal_length values (nextval('focal_length_id_sequence'), '210');
insert into focal_length values (nextval('focal_length_id_sequence'), '300');
insert into focal_length values (nextval('focal_length_id_sequence'), '400');
insert into focal_length values (nextval('focal_length_id_sequence'), '500');
insert into focal_length values (nextval('focal_length_id_sequence'), '600');
insert into focal_length values (nextval('focal_length_id_sequence'), '800');
insert into focal_length values (nextval('focal_length_id_sequence'), '1000');
insert into focal_length values (nextval('focal_length_id_sequence'), '1100');
insert into focal_length values (nextval('focal_length_id_sequence'), '1200');
insert into focal_length values (nextval('focal_length_id_sequence'), '1300');
insert into focal_length values (nextval('focal_length_id_sequence'), '2000');

insert into film_iso values (nextval('film_iso_id_sequence'), '6');
insert into film_iso values (nextval('film_iso_id_sequence'), '8');
insert into film_iso values (nextval('film_iso_id_sequence'), '10');
insert into film_iso values (nextval('film_iso_id_sequence'), '12');
insert into film_iso values (nextval('film_iso_id_sequence'), '16');
insert into film_iso values (nextval('film_iso_id_sequence'), '20');
insert into film_iso values (nextval('film_iso_id_sequence'), '25');
insert into film_iso values (nextval('film_iso_id_sequence'), '32');
insert into film_iso values (nextval('film_iso_id_sequence'), '40');
insert into film_iso values (nextval('film_iso_id_sequence'), '50');
insert into film_iso values (nextval('film_iso_id_sequence'), '80');
insert into film_iso values (nextval('film_iso_id_sequence'), '100');
insert into film_iso values (nextval('film_iso_id_sequence'), '125');
insert into film_iso values (nextval('film_iso_id_sequence'), '160');
insert into film_iso values (nextval('film_iso_id_sequence'), '200');
insert into film_iso values (nextval('film_iso_id_sequence'), '250');
insert into film_iso values (nextval('film_iso_id_sequence'), '320');
insert into film_iso values (nextval('film_iso_id_sequence'), '400');
insert into film_iso values (nextval('film_iso_id_sequence'), '500');
insert into film_iso values (nextval('film_iso_id_sequence'), '640');
insert into film_iso values (nextval('film_iso_id_sequence'), '800');
insert into film_iso values (nextval('film_iso_id_sequence'), '1000');
insert into film_iso values (nextval('film_iso_id_sequence'), '1250');
insert into film_iso values (nextval('film_iso_id_sequence'), '1600');
insert into film_iso values (nextval('film_iso_id_sequence'), '2000');
insert into film_iso values (nextval('film_iso_id_sequence'), '2500');
insert into film_iso values (nextval('film_iso_id_sequence'), '3200');
insert into film_iso values (nextval('film_iso_id_sequence'), '4000');
insert into film_iso values (nextval('film_iso_id_sequence'), '5000');
insert into film_iso values (nextval('film_iso_id_sequence'), '6400');

insert into film_format values (nextval('film_format_id_sequence'), 'APS');
insert into film_format values (nextval('film_format_id_sequence'), '24x35 mm');
insert into film_format values (nextval('film_format_id_sequence'), '24x65 mm');
insert into film_format values (nextval('film_format_id_sequence'), '40x40 mm');
insert into film_format values (nextval('film_format_id_sequence'), '45x60 mm');
insert into film_format values (nextval('film_format_id_sequence'), '60x60 mm');
insert into film_format values (nextval('film_format_id_sequence'), '60x70 mm');
insert into film_format values (nextval('film_format_id_sequence'), '4x5 inch');
insert into film_format values (nextval('film_format_id_sequence'), '8x10 inch');
insert into film_format values (nextval('film_format_id_sequence'), '20x24 inch');
insert into film_format values (nextval('film_format_id_sequence'), 'Digital');

insert into camera_metering values (nextval('camera_metering_id_sequence'), 'Spot');
insert into camera_metering values (nextval('camera_metering_id_sequence'), 'Center');
insert into camera_metering values (nextval('camera_metering_id_sequence'), '3D Matrix');
insert into camera_metering values (nextval('camera_metering_id_sequence'), '3D Color Matrix');
insert into camera_metering values (nextval('camera_metering_id_sequence'), 'Zone');

insert into camera_program values (nextval('camera_program_id_sequence'), 'Camera Program Automatic');
insert into camera_program values (nextval('camera_program_id_sequence'), 'Aperture Priority');
insert into camera_program values (nextval('camera_program_id_sequence'), 'Shutter Priority');
insert into camera_program values (nextval('camera_program_id_sequence'), 'Manual');

insert into flash_mode values (nextval('flash_mode_id_sequence'), 'Normal Sync');
insert into flash_mode values (nextval('flash_mode_id_sequence'), 'Slow Sync');
insert into flash_mode values (nextval('flash_mode_id_sequence'), 'Rear Sync');

insert into ev_comp values (nextval('ev_comp_id_sequence'), '-5');
insert into ev_comp values (nextval('ev_comp_id_sequence'), '-4.7');
insert into ev_comp values (nextval('ev_comp_id_sequence'), '-4.5');
insert into ev_comp values (nextval('ev_comp_id_sequence'), '-4.3');
insert into ev_comp values (nextval('ev_comp_id_sequence'), '-4');
insert into ev_comp values (nextval('ev_comp_id_sequence'), '-3.7');
insert into ev_comp values (nextval('ev_comp_id_sequence'), '-3.5');
insert into ev_comp values (nextval('ev_comp_id_sequence'), '-3.3');
insert into ev_comp values (nextval('ev_comp_id_sequence'), '-3');
insert into ev_comp values (nextval('ev_comp_id_sequence'), '-2.7');
insert into ev_comp values (nextval('ev_comp_id_sequence'), '-2.5');
insert into ev_comp values (nextval('ev_comp_id_sequence'), '-2.3');
insert into ev_comp values (nextval('ev_comp_id_sequence'), '-2');
insert into ev_comp values (nextval('ev_comp_id_sequence'), '-1.7');
insert into ev_comp values (nextval('ev_comp_id_sequence'), '-1.5');
insert into ev_comp values (nextval('ev_comp_id_sequence'), '-1.3');
insert into ev_comp values (nextval('ev_comp_id_sequence'), '-1');
insert into ev_comp values (nextval('ev_comp_id_sequence'), '-0.7');
insert into ev_comp values (nextval('ev_comp_id_sequence'), '-0.5');
insert into ev_comp values (nextval('ev_comp_id_sequence'), '-0.3');
insert into ev_comp values (nextval('ev_comp_id_sequence'), '0');
-- the missing values were added in 2.6
insert into ev_comp values (nextval('ev_comp_id_sequence'), '1.3');
insert into ev_comp values (nextval('ev_comp_id_sequence'), '1.5');
insert into ev_comp values (nextval('ev_comp_id_sequence'), '1.7');
insert into ev_comp values (nextval('ev_comp_id_sequence'), '2');
insert into ev_comp values (nextval('ev_comp_id_sequence'), '2.3');
insert into ev_comp values (nextval('ev_comp_id_sequence'), '2.5');
insert into ev_comp values (nextval('ev_comp_id_sequence'), '2.7');
insert into ev_comp values (nextval('ev_comp_id_sequence'), '3');
insert into ev_comp values (nextval('ev_comp_id_sequence'), '3.3');
insert into ev_comp values (nextval('ev_comp_id_sequence'), '3.5');
insert into ev_comp values (nextval('ev_comp_id_sequence'), '3.7');
insert into ev_comp values (nextval('ev_comp_id_sequence'), '4');
insert into ev_comp values (nextval('ev_comp_id_sequence'), '4.3');
insert into ev_comp values (nextval('ev_comp_id_sequence'), '4.5');
insert into ev_comp values (nextval('ev_comp_id_sequence'), '4.7');
insert into ev_comp values (nextval('ev_comp_id_sequence'), '5');

insert into scan_resolution values (nextval('scan_resolution_id_sequence'), '90');
insert into scan_resolution values (nextval('scan_resolution_id_sequence'), '93');
insert into scan_resolution values (nextval('scan_resolution_id_sequence'), '96');
insert into scan_resolution values (nextval('scan_resolution_id_sequence'), '100');
insert into scan_resolution values (nextval('scan_resolution_id_sequence'), '103');
insert into scan_resolution values (nextval('scan_resolution_id_sequence'), '107');
insert into scan_resolution values (nextval('scan_resolution_id_sequence'), '111');
insert into scan_resolution values (nextval('scan_resolution_id_sequence'), '116');
insert into scan_resolution values (nextval('scan_resolution_id_sequence'), '120');
insert into scan_resolution values (nextval('scan_resolution_id_sequence'), '126');
insert into scan_resolution values (nextval('scan_resolution_id_sequence'), '131');
insert into scan_resolution values (nextval('scan_resolution_id_sequence'), '138');
insert into scan_resolution values (nextval('scan_resolution_id_sequence'), '145');
insert into scan_resolution values (nextval('scan_resolution_id_sequence'), '150');
insert into scan_resolution values (nextval('scan_resolution_id_sequence'), '152');
insert into scan_resolution values (nextval('scan_resolution_id_sequence'), '161');
insert into scan_resolution values (nextval('scan_resolution_id_sequence'), '170');
insert into scan_resolution values (nextval('scan_resolution_id_sequence'), '181');
insert into scan_resolution values (nextval('scan_resolution_id_sequence'), '193');
insert into scan_resolution values (nextval('scan_resolution_id_sequence'), '207');
insert into scan_resolution values (nextval('scan_resolution_id_sequence'), '223');
insert into scan_resolution values (nextval('scan_resolution_id_sequence'), '241');
insert into scan_resolution values (nextval('scan_resolution_id_sequence'), '263');
insert into scan_resolution values (nextval('scan_resolution_id_sequence'), '290');
insert into scan_resolution values (nextval('scan_resolution_id_sequence'), '300');
insert into scan_resolution values (nextval('scan_resolution_id_sequence'), '322');
insert into scan_resolution values (nextval('scan_resolution_id_sequence'), '362');
insert into scan_resolution values (nextval('scan_resolution_id_sequence'), '414');
insert into scan_resolution values (nextval('scan_resolution_id_sequence'), '483');
insert into scan_resolution values (nextval('scan_resolution_id_sequence'), '580');
insert into scan_resolution values (nextval('scan_resolution_id_sequence'), '600');
insert into scan_resolution values (nextval('scan_resolution_id_sequence'), '725');
insert into scan_resolution values (nextval('scan_resolution_id_sequence'), '800');
insert into scan_resolution values (nextval('scan_resolution_id_sequence'), '966');
insert into scan_resolution values (nextval('scan_resolution_id_sequence'), '1000');
insert into scan_resolution values (nextval('scan_resolution_id_sequence'), '1200');
insert into scan_resolution values (nextval('scan_resolution_id_sequence'), '1450');
insert into scan_resolution values (nextval('scan_resolution_id_sequence'), '1600');
insert into scan_resolution values (nextval('scan_resolution_id_sequence'), '1800');
insert into scan_resolution values (nextval('scan_resolution_id_sequence'), '2000');
insert into scan_resolution values (nextval('scan_resolution_id_sequence'), '2200');
insert into scan_resolution values (nextval('scan_resolution_id_sequence'), '2400');
insert into scan_resolution values (nextval('scan_resolution_id_sequence'), '2700');
insert into scan_resolution values (nextval('scan_resolution_id_sequence'), '2820');
insert into scan_resolution values (nextval('scan_resolution_id_sequence'), '2900');
insert into scan_resolution values (nextval('scan_resolution_id_sequence'), '3600');
insert into scan_resolution values (nextval('scan_resolution_id_sequence'), '4000');
insert into scan_resolution values (nextval('scan_resolution_id_sequence'), '4800');
insert into scan_resolution values (nextval('scan_resolution_id_sequence'), '9600');

insert into scan_bitdepth values (nextval('scan_bitdepth_id_sequence'), '8');
insert into scan_bitdepth values (nextval('scan_bitdepth_id_sequence'), '12');
insert into scan_bitdepth values (nextval('scan_bitdepth_id_sequence'), '14');
insert into scan_bitdepth values (nextval('scan_bitdepth_id_sequence'), '16');
insert into scan_bitdepth values (nextval('scan_bitdepth_id_sequence'), '18');
insert into scan_bitdepth values (nextval('scan_bitdepth_id_sequence'), '24');
insert into scan_bitdepth values (nextval('scan_bitdepth_id_sequence'), '32');

insert into scan_multiscan values (nextval('scan_multiscan_id_sequence'), '1');
insert into scan_multiscan values (nextval('scan_multiscan_id_sequence'), '2');
insert into scan_multiscan values (nextval('scan_multiscan_id_sequence'), '3');
insert into scan_multiscan values (nextval('scan_multiscan_id_sequence'), '4');
insert into scan_multiscan values (nextval('scan_multiscan_id_sequence'), '5');
insert into scan_multiscan values (nextval('scan_multiscan_id_sequence'), '6');
insert into scan_multiscan values (nextval('scan_multiscan_id_sequence'), '7');
insert into scan_multiscan values (nextval('scan_multiscan_id_sequence'), '8');
insert into scan_multiscan values (nextval('scan_multiscan_id_sequence'), '9');
insert into scan_multiscan values (nextval('scan_multiscan_id_sequence'), '10');
insert into scan_multiscan values (nextval('scan_multiscan_id_sequence'), '11');
insert into scan_multiscan values (nextval('scan_multiscan_id_sequence'), '12');
insert into scan_multiscan values (nextval('scan_multiscan_id_sequence'), '13');
insert into scan_multiscan values (nextval('scan_multiscan_id_sequence'), '14');
insert into scan_multiscan values (nextval('scan_multiscan_id_sequence'), '15');
insert into scan_multiscan values (nextval('scan_multiscan_id_sequence'), '16');

insert into state values (nextval('state_id_sequence'), 'AL', 'Alabama');
insert into state values (nextval('state_id_sequence'), 'AK', 'Alaska');
insert into state values (nextval('state_id_sequence'), 'AZ', 'Arizona');
insert into state values (nextval('state_id_sequence'), 'AR', 'Arkansas');
insert into state values (nextval('state_id_sequence'), 'CA', 'California');
insert into state values (nextval('state_id_sequence'), 'CO', 'Colorado');
insert into state values (nextval('state_id_sequence'), 'CT', 'Connecticut');
insert into state values (nextval('state_id_sequence'), 'DE', 'Delaware');
insert into state values (nextval('state_id_sequence'), 'DC', 'District of Columbia');
insert into state values (nextval('state_id_sequence'), 'FL', 'Florida');
insert into state values (nextval('state_id_sequence'), 'GA', 'Georgia');
insert into state values (nextval('state_id_sequence'), 'HI', 'Hawaii');
insert into state values (nextval('state_id_sequence'), 'ID', 'Idaho');
insert into state values (nextval('state_id_sequence'), 'IL', 'Illinois');
insert into state values (nextval('state_id_sequence'), 'IN', 'Indiana');
insert into state values (nextval('state_id_sequence'), 'IA', 'Iowa');
insert into state values (nextval('state_id_sequence'), 'KS', 'Kansas');
insert into state values (nextval('state_id_sequence'), 'KY', 'Kentucky');
insert into state values (nextval('state_id_sequence'), 'LA', 'Louisiana');
insert into state values (nextval('state_id_sequence'), 'ME', 'Maine');
insert into state values (nextval('state_id_sequence'), 'MD', 'Maryland');
insert into state values (nextval('state_id_sequence'), 'MA', 'Massachusetts');
insert into state values (nextval('state_id_sequence'), 'MI', 'Michigan');
insert into state values (nextval('state_id_sequence'), 'MN', 'Minnesota');
insert into state values (nextval('state_id_sequence'), 'MS', 'Mississippi');
insert into state values (nextval('state_id_sequence'), 'MO', 'Missouri');
insert into state values (nextval('state_id_sequence'), 'MT', 'Montana');
insert into state values (nextval('state_id_sequence'), 'NE', 'Nebraska');
insert into state values (nextval('state_id_sequence'), 'NV', 'Nevada');
insert into state values (nextval('state_id_sequence'), 'NH', 'New Hampshire');
insert into state values (nextval('state_id_sequence'), 'NJ', 'New Jersey');
insert into state values (nextval('state_id_sequence'), 'NM', 'New Mexico');
insert into state values (nextval('state_id_sequence'), 'NY', 'New York');
insert into state values (nextval('state_id_sequence'), 'NC', 'North Carolina');
insert into state values (nextval('state_id_sequence'), 'ND', 'North Dakota');
insert into state values (nextval('state_id_sequence'), 'OH', 'Ohio');
insert into state values (nextval('state_id_sequence'), 'OK', 'Oklahoma');
insert into state values (nextval('state_id_sequence'), 'OR', 'Oregon');
insert into state values (nextval('state_id_sequence'), 'PA', 'Pennsylvania');
insert into state values (nextval('state_id_sequence'), 'RI', 'Rhode Island');
insert into state values (nextval('state_id_sequence'), 'SC', 'South Carolina');
insert into state values (nextval('state_id_sequence'), 'SD', 'South Dakota');
insert into state values (nextval('state_id_sequence'), 'TN', 'Tennessee');
insert into state values (nextval('state_id_sequence'), 'TX', 'Texas');
insert into state values (nextval('state_id_sequence'), 'UT', 'Utah');
insert into state values (nextval('state_id_sequence'), 'VT', 'Vermont');
insert into state values (nextval('state_id_sequence'), 'VA', 'Virginia');
insert into state values (nextval('state_id_sequence'), 'WA', 'Washington');
insert into state values (nextval('state_id_sequence'), 'WV', 'West virginia');
insert into state values (nextval('state_id_sequence'), 'WI', 'Wisconsin');
insert into state values (nextval('state_id_sequence'), 'WY', 'Wyoming');
insert into state values (nextval('state_id_sequence'), 'AS', 'American Samoa');
insert into state values (nextval('state_id_sequence'), 'GU', 'Guam');
insert into state values (nextval('state_id_sequence'), 'MP', 'Northern Mariana Islands');
insert into state values (nextval('state_id_sequence'), 'PR', 'Puerto Rico');
insert into state values (nextval('state_id_sequence'), 'VI', 'Virgin Islands');
insert into state values (nextval('state_id_sequence'), 'FM', 'Federal States of Micronesia');
insert into state values (nextval('state_id_sequence'), 'UM', 'United States Minor Outlying Islands');
insert into state values (nextval('state_id_sequence'), '67', 'Johnston Atoll');
insert into state values (nextval('state_id_sequence'), 'MH', 'Marshall Islands');
insert into state values (nextval('state_id_sequence'), 'PW', 'Palau');
insert into state values (nextval('state_id_sequence'), '', 'Midway Islands');
insert into state values (nextval('state_id_sequence'), '', 'Navassa Island');
insert into state values (nextval('state_id_sequence'), '', 'Wake Island');
insert into state values (nextval('state_id_sequence'), '', 'Baker Island');
insert into state values (nextval('state_id_sequence'), '', 'Howland Island');
insert into state values (nextval('state_id_sequence'), '', 'Jarvis Island');
insert into state values (nextval('state_id_sequence'), '', 'Kingman Reef');
insert into state values (nextval('state_id_sequence'), '', 'Palmyra Atoll');

insert into country values (nextval('country_id_sequence'), 'ad', 'Andorra');
insert into country values (nextval('country_id_sequence'), 'ae', 'United Arab Emirates');
insert into country values (nextval('country_id_sequence'), 'af', 'Afghanistan');
insert into country values (nextval('country_id_sequence'), 'ag', 'Antigua and Barbuda');
insert into country values (nextval('country_id_sequence'), 'ai', 'Anguilla');
insert into country values (nextval('country_id_sequence'), 'al', 'Albania');
insert into country values (nextval('country_id_sequence'), 'am', 'Armenia');
insert into country values (nextval('country_id_sequence'), 'an', 'Netherlands Antilles');
insert into country values (nextval('country_id_sequence'), 'ao', 'Angola');
insert into country values (nextval('country_id_sequence'), 'aq', 'Antarctica');
insert into country values (nextval('country_id_sequence'), 'ar', 'Argentina');
insert into country values (nextval('country_id_sequence'), 'as', 'American Samoa');
insert into country values (nextval('country_id_sequence'), 'at', 'Austria');
insert into country values (nextval('country_id_sequence'), 'au', 'Australia');
insert into country values (nextval('country_id_sequence'), 'aw', 'Aruba');
insert into country values (nextval('country_id_sequence'), 'az', 'Azerbaijan');
insert into country values (nextval('country_id_sequence'), 'ba', 'Bosnia and Herzegovina');
insert into country values (nextval('country_id_sequence'), 'bb', 'Barbados');
insert into country values (nextval('country_id_sequence'), 'bd', 'Bangladesh');
insert into country values (nextval('country_id_sequence'), 'be', 'Belgium');
insert into country values (nextval('country_id_sequence'), 'bf', 'Burkina Faso');
insert into country values (nextval('country_id_sequence'), 'bg', 'Bulgaria');
insert into country values (nextval('country_id_sequence'), 'bh', 'Bahrain');
insert into country values (nextval('country_id_sequence'), 'bi', 'Burundi');
insert into country values (nextval('country_id_sequence'), 'bj', 'Benin');
insert into country values (nextval('country_id_sequence'), 'bm', 'Bermuda');
insert into country values (nextval('country_id_sequence'), 'bn', 'Brunei Darussalam');
insert into country values (nextval('country_id_sequence'), 'bo', 'Bolivia');
insert into country values (nextval('country_id_sequence'), 'br', 'Brazil');
insert into country values (nextval('country_id_sequence'), 'bs', 'Bahamas');
insert into country values (nextval('country_id_sequence'), 'bt', 'Bhutan');
insert into country values (nextval('country_id_sequence'), 'bv', 'Bouvet Island');
insert into country values (nextval('country_id_sequence'), 'bw', 'Botswana');
insert into country values (nextval('country_id_sequence'), 'by', 'Belarus');
insert into country values (nextval('country_id_sequence'), 'bz', 'Belize');
insert into country values (nextval('country_id_sequence'), 'ca', 'Canada');
insert into country values (nextval('country_id_sequence'), 'cc', 'Cocos (Keeling) Islands');
insert into country values (nextval('country_id_sequence'), 'cf', 'Central African Republic');
insert into country values (nextval('country_id_sequence'), 'cg', 'Congo');
insert into country values (nextval('country_id_sequence'), 'ch', 'Switzerland');
insert into country values (nextval('country_id_sequence'), 'ck', 'Cook Islands');
insert into country values (nextval('country_id_sequence'), 'cl', 'Chile');
insert into country values (nextval('country_id_sequence'), 'cm', 'Cameroon');
insert into country values (nextval('country_id_sequence'), 'cn', 'China');
insert into country values (nextval('country_id_sequence'), 'co', 'Colombia');
insert into country values (nextval('country_id_sequence'), 'cr', 'Costa Rica');
insert into country values (nextval('country_id_sequence'), 'cu', 'Cuba');
insert into country values (nextval('country_id_sequence'), 'cv', 'Cape Verde');
insert into country values (nextval('country_id_sequence'), 'cx', 'Christmas Island');
insert into country values (nextval('country_id_sequence'), 'cy', 'Cyprus');
insert into country values (nextval('country_id_sequence'), 'cz', 'Czech Republic');
insert into country values (nextval('country_id_sequence'), 'de', 'Germany');
insert into country values (nextval('country_id_sequence'), 'dj', 'Djibouti');
insert into country values (nextval('country_id_sequence'), 'dk', 'Denmark');
insert into country values (nextval('country_id_sequence'), 'dm', 'Dominica');
insert into country values (nextval('country_id_sequence'), 'do', 'Dominican Republic');
insert into country values (nextval('country_id_sequence'), 'dz', 'Algeria');
insert into country values (nextval('country_id_sequence'), 'ec', 'Ecuador');
insert into country values (nextval('country_id_sequence'), 'ee', 'Estonia');
insert into country values (nextval('country_id_sequence'), 'eg', 'Egypt');
insert into country values (nextval('country_id_sequence'), 'eh', 'Western Sahara');
insert into country values (nextval('country_id_sequence'), 'er', 'Eritrea');
insert into country values (nextval('country_id_sequence'), 'es', 'Spain');
insert into country values (nextval('country_id_sequence'), 'et', 'Ethiopia');
insert into country values (nextval('country_id_sequence'), 'fi', 'Finland');
insert into country values (nextval('country_id_sequence'), 'fj', 'Fiji');
insert into country values (nextval('country_id_sequence'), 'fk', 'Falkland Islands (Malvinas)');
insert into country values (nextval('country_id_sequence'), 'fm', 'Micronesia');
insert into country values (nextval('country_id_sequence'), 'fo', 'Faroe Islands');
insert into country values (nextval('country_id_sequence'), 'fr', 'France');
insert into country values (nextval('country_id_sequence'), 'fx', 'France Metropolitan');
insert into country values (nextval('country_id_sequence'), 'ga', 'Gabon');
insert into country values (nextval('country_id_sequence'), 'gb', 'Great Britain');
insert into country values (nextval('country_id_sequence'), 'gd', 'Grenada');
insert into country values (nextval('country_id_sequence'), 'ge', 'Georgia');
insert into country values (nextval('country_id_sequence'), 'gf', 'French Guiana');
insert into country values (nextval('country_id_sequence'), 'gh', 'Ghana');
insert into country values (nextval('country_id_sequence'), 'gi', 'Gibraltar');
insert into country values (nextval('country_id_sequence'), 'gl', 'Greenland');
insert into country values (nextval('country_id_sequence'), 'gm', 'Gambia');
insert into country values (nextval('country_id_sequence'), 'gn', 'Guinea');
insert into country values (nextval('country_id_sequence'), 'gp', 'Guadeloupe');
insert into country values (nextval('country_id_sequence'), 'gq', 'Equatorial Guinea');
insert into country values (nextval('country_id_sequence'), 'gr', 'Greece');
insert into country values (nextval('country_id_sequence'), 'gs', 'S. Georgia and S. Sandwich Isls.');
insert into country values (nextval('country_id_sequence'), 'gt', 'Guatemala');
insert into country values (nextval('country_id_sequence'), 'gu', 'Guam');
insert into country values (nextval('country_id_sequence'), 'gw', 'Guinea-Bissau');
insert into country values (nextval('country_id_sequence'), 'gy', 'Guyana');
insert into country values (nextval('country_id_sequence'), 'hk', 'Hong Kong');
insert into country values (nextval('country_id_sequence'), 'hm', 'Heard and McDonald Islands');
insert into country values (nextval('country_id_sequence'), 'hn', 'Honduras');
insert into country values (nextval('country_id_sequence'), 'hr', 'Croatia (Hrvatska)');
insert into country values (nextval('country_id_sequence'), 'ht', 'Haiti');
insert into country values (nextval('country_id_sequence'), 'hu', 'Hungary');
insert into country values (nextval('country_id_sequence'), 'id', 'Indonesia');
insert into country values (nextval('country_id_sequence'), 'ie', 'Ireland');
insert into country values (nextval('country_id_sequence'), 'il', 'Israel');
insert into country values (nextval('country_id_sequence'), 'in', 'India');
insert into country values (nextval('country_id_sequence'), 'io', 'British Indian Ocean Territory');
insert into country values (nextval('country_id_sequence'), 'iq', 'Iraq');
insert into country values (nextval('country_id_sequence'), 'ir', 'Iran');
insert into country values (nextval('country_id_sequence'), 'is', 'Iceland');
insert into country values (nextval('country_id_sequence'), 'it', 'Italy');
insert into country values (nextval('country_id_sequence'), 'jm', 'Jamaica');
insert into country values (nextval('country_id_sequence'), 'jo', 'Jordan');
insert into country values (nextval('country_id_sequence'), 'jp', 'Japan');
insert into country values (nextval('country_id_sequence'), 'ke', 'Kenya');
insert into country values (nextval('country_id_sequence'), 'kg', 'Kyrgyzstan');
insert into country values (nextval('country_id_sequence'), 'kh', 'Cambodia');
insert into country values (nextval('country_id_sequence'), 'ki', 'Kiribati');
insert into country values (nextval('country_id_sequence'), 'km', 'Comoros');
insert into country values (nextval('country_id_sequence'), 'kn', 'Saint Kitts and Nevis');
insert into country values (nextval('country_id_sequence'), 'kp', 'Korea (North)');
insert into country values (nextval('country_id_sequence'), 'kr', 'Korea (South)');
insert into country values (nextval('country_id_sequence'), 'kw', 'Kuwait');
insert into country values (nextval('country_id_sequence'), 'ky', 'Cayman Islands');
insert into country values (nextval('country_id_sequence'), 'kz', 'Kazakhstan');
insert into country values (nextval('country_id_sequence'), 'la', 'Laos');
insert into country values (nextval('country_id_sequence'), 'lb', 'Lebanon');
insert into country values (nextval('country_id_sequence'), 'lc', 'Saint Lucia');
insert into country values (nextval('country_id_sequence'), 'li', 'Liechtenstein');
insert into country values (nextval('country_id_sequence'), 'lk', 'Sri Lanka');
insert into country values (nextval('country_id_sequence'), 'lr', 'Liberia');
insert into country values (nextval('country_id_sequence'), 'ls', 'Lesotho');
insert into country values (nextval('country_id_sequence'), 'lt', 'Lithuania');
insert into country values (nextval('country_id_sequence'), 'lu', 'Luxembourg');
insert into country values (nextval('country_id_sequence'), 'lv', 'Latvia');
insert into country values (nextval('country_id_sequence'), 'ly', 'Libya');
insert into country values (nextval('country_id_sequence'), 'ma', 'Morocco');
insert into country values (nextval('country_id_sequence'), 'mc', 'Monaco');
insert into country values (nextval('country_id_sequence'), 'md', 'Moldova');
insert into country values (nextval('country_id_sequence'), 'mg', 'Madagascar');
insert into country values (nextval('country_id_sequence'), 'mh', 'Marshall Islands');
insert into country values (nextval('country_id_sequence'), 'mk', 'Macedonia');
insert into country values (nextval('country_id_sequence'), 'ml', 'Mali');
insert into country values (nextval('country_id_sequence'), 'mm', 'Myanmar');
insert into country values (nextval('country_id_sequence'), 'mn', 'Mongolia');
insert into country values (nextval('country_id_sequence'), 'mo', 'Macau');
insert into country values (nextval('country_id_sequence'), 'mp', 'Northern Mariana Islands');
insert into country values (nextval('country_id_sequence'), 'mq', 'Martinique');
insert into country values (nextval('country_id_sequence'), 'mr', 'Mauritania');
insert into country values (nextval('country_id_sequence'), 'ms', 'Montserrat');
insert into country values (nextval('country_id_sequence'), 'mt', 'Malta');
insert into country values (nextval('country_id_sequence'), 'mu', 'Mauritius');
insert into country values (nextval('country_id_sequence'), 'mv', 'Maldives');
insert into country values (nextval('country_id_sequence'), 'mw', 'Malawi');
insert into country values (nextval('country_id_sequence'), 'mx', 'Mexico');
insert into country values (nextval('country_id_sequence'), 'my', 'Malaysia');
insert into country values (nextval('country_id_sequence'), 'mz', 'Mozambique');
insert into country values (nextval('country_id_sequence'), 'na', 'Namibia');
insert into country values (nextval('country_id_sequence'), 'nc', 'New Caledonia');
insert into country values (nextval('country_id_sequence'), 'ne', 'Niger');
insert into country values (nextval('country_id_sequence'), 'nf', 'Norfolk Island');
insert into country values (nextval('country_id_sequence'), 'ng', 'Nigeria');
insert into country values (nextval('country_id_sequence'), 'ni', 'Nicaragua');
insert into country values (nextval('country_id_sequence'), 'nl', 'Netherlands');
insert into country values (nextval('country_id_sequence'), 'no', 'Norway');
insert into country values (nextval('country_id_sequence'), 'np', 'Nepal');
insert into country values (nextval('country_id_sequence'), 'nr', 'Nauru');
insert into country values (nextval('country_id_sequence'), 'nt', 'Neutral Zone');
insert into country values (nextval('country_id_sequence'), 'nu', 'Niue');
insert into country values (nextval('country_id_sequence'), 'nz', 'New Zealand (Aotearoa)');
insert into country values (nextval('country_id_sequence'), 'om', 'Oman');
insert into country values (nextval('country_id_sequence'), 'pa', 'Panama');
insert into country values (nextval('country_id_sequence'), 'pe', 'Peru');
insert into country values (nextval('country_id_sequence'), 'pf', 'French Polynesia');
insert into country values (nextval('country_id_sequence'), 'pg', 'Papua New Guinea');
insert into country values (nextval('country_id_sequence'), 'ph', 'Philippines');
insert into country values (nextval('country_id_sequence'), 'pk', 'Pakistan');
insert into country values (nextval('country_id_sequence'), 'pl', 'Poland');
insert into country values (nextval('country_id_sequence'), 'pm', 'St. Pierre and Miquelon');
insert into country values (nextval('country_id_sequence'), 'pn', 'Pitcairn');
insert into country values (nextval('country_id_sequence'), 'pr', 'Puerto Rico');
insert into country values (nextval('country_id_sequence'), 'pt', 'Portugal');
insert into country values (nextval('country_id_sequence'), 'pw', 'Palau');
insert into country values (nextval('country_id_sequence'), 'py', 'Paraguay');
insert into country values (nextval('country_id_sequence'), 'qa', 'Qatar');
insert into country values (nextval('country_id_sequence'), 're', 'Reunion');
insert into country values (nextval('country_id_sequence'), 'ro', 'Romania');
insert into country values (nextval('country_id_sequence'), 'ru', 'Russian Federation');
insert into country values (nextval('country_id_sequence'), 'rw', 'Rwanda');
insert into country values (nextval('country_id_sequence'), 'sa', 'Saudi Arabia');
insert into country values (nextval('country_id_sequence'), 'sb', 'Solomon Islands');
insert into country values (nextval('country_id_sequence'), 'sc', 'Seychelles');
insert into country values (nextval('country_id_sequence'), 'sd', 'Sudan');
insert into country values (nextval('country_id_sequence'), 'se', 'Sweden');
insert into country values (nextval('country_id_sequence'), 'sg', 'Singapore');
insert into country values (nextval('country_id_sequence'), 'sh', 'St. Helena');
insert into country values (nextval('country_id_sequence'), 'si', 'Slovenia');
insert into country values (nextval('country_id_sequence'), 'sj', 'Svalbard and Jan Mayen Islands');
insert into country values (nextval('country_id_sequence'), 'sk', 'Slovak Republic');
insert into country values (nextval('country_id_sequence'), 'sl', 'Sierra Leone');
insert into country values (nextval('country_id_sequence'), 'sm', 'San Marino');
insert into country values (nextval('country_id_sequence'), 'sn', 'Senegal');
insert into country values (nextval('country_id_sequence'), 'so', 'Somalia');
insert into country values (nextval('country_id_sequence'), 'sr', 'Suriname');
insert into country values (nextval('country_id_sequence'), 'st', 'Sao Tome and Principe');
insert into country values (nextval('country_id_sequence'), 'sv', 'El Salvador');
insert into country values (nextval('country_id_sequence'), 'sy', 'Syria');
insert into country values (nextval('country_id_sequence'), 'sz', 'Swaziland');
insert into country values (nextval('country_id_sequence'), 'tc', 'Turks and Caicos Islands');
insert into country values (nextval('country_id_sequence'), 'td', 'Chad');
insert into country values (nextval('country_id_sequence'), 'tf', 'French Southern Territories');
insert into country values (nextval('country_id_sequence'), 'tg', 'Togo');
insert into country values (nextval('country_id_sequence'), 'th', 'Thailand');
insert into country values (nextval('country_id_sequence'), 'tj', 'Tajikistan');
insert into country values (nextval('country_id_sequence'), 'tk', 'Tokelau');
insert into country values (nextval('country_id_sequence'), 'tm', 'Turkmenistan');
insert into country values (nextval('country_id_sequence'), 'tn', 'Tunisia');
insert into country values (nextval('country_id_sequence'), 'to', 'Tonga');
insert into country values (nextval('country_id_sequence'), 'tp', 'East Timor');
insert into country values (nextval('country_id_sequence'), 'tr', 'Turkey');
insert into country values (nextval('country_id_sequence'), 'tt', 'Trinidad and Tobago');
insert into country values (nextval('country_id_sequence'), 'tv', 'Tuvalu');
insert into country values (nextval('country_id_sequence'), 'tw', 'Taiwan');
insert into country values (nextval('country_id_sequence'), 'tz', 'Tanzania');
insert into country values (nextval('country_id_sequence'), 'ua', 'Ukraine');
insert into country values (nextval('country_id_sequence'), 'ug', 'Uganda');
insert into country values (nextval('country_id_sequence'), 'uk', 'United Kingdom');
insert into country values (nextval('country_id_sequence'), 'um', 'US Minor Outlying Islands');
insert into country values (nextval('country_id_sequence'), 'us', 'United States');
insert into country values (nextval('country_id_sequence'), 'uy', 'Uruguay');
insert into country values (nextval('country_id_sequence'), 'uz', 'Uzbekistan');
insert into country values (nextval('country_id_sequence'), 'va', 'Vatican City State (Holy See)');
insert into country values (nextval('country_id_sequence'), 'vc', 'Saint Vincent and the Grenadines');
insert into country values (nextval('country_id_sequence'), 've', 'Venezuela');
insert into country values (nextval('country_id_sequence'), 'vg', 'Virgin Islands (British)');
insert into country values (nextval('country_id_sequence'), 'vi', 'Virgin Islands (U.S.)');
insert into country values (nextval('country_id_sequence'), 'vn', 'Viet Nam');
insert into country values (nextval('country_id_sequence'), 'vu', 'Vanuatu');
insert into country values (nextval('country_id_sequence'), 'wf', 'Wallis and Futuna Islands');
insert into country values (nextval('country_id_sequence'), 'ws', 'Samoa');
insert into country values (nextval('country_id_sequence'), 'ye', 'Yemen');
insert into country values (nextval('country_id_sequence'), 'yt', 'Mayotte');
insert into country values (nextval('country_id_sequence'), 'yu', 'Yugoslavia');
insert into country values (nextval('country_id_sequence'), 'za', 'South Africa');
insert into country values (nextval('country_id_sequence'), 'zm', 'Zambia');
insert into country values (nextval('country_id_sequence'), 'zr', 'Zaire');
insert into country values (nextval('country_id_sequence'), 'zw', 'Zimbabwe');

insert into submission_status values (nextval('submission_status_id_sequence'), 'On stock');
insert into submission_status values (nextval('submission_status_id_sequence'), 'Submitted');
insert into submission_status values (nextval('submission_status_id_sequence'), 'Returned');
insert into submission_status values (nextval('submission_status_id_sequence'), 'Sold');

insert into client_status values (nextval('client_status_id_sequence'), 'Pending');
insert into client_status values (nextval('client_status_id_sequence'), 'Accepted');
insert into client_status values (nextval('client_status_id_sequence'), 'Rejected');

insert into paper values (nextval('paper_id_sequence'), 'Letter    - (216 x 279 mm)',   612,  792,  now(), 1);
insert into paper values (nextval('paper_id_sequence'), 'Legal     - (216 x 356 mm)',   612,  1008, now(), 1);
insert into paper values (nextval('paper_id_sequence'), 'Statement - (140 x 216 mm)',   396,  612,  now(), 1);
insert into paper values (nextval('paper_id_sequence'), 'Tabloid   - (279 x 432 mm)',   792,  1224, now(), 1);
insert into paper values (nextval('paper_id_sequence'), 'Ledger    - (432 x 279 mm)',   1224, 792,  now(), 1);
insert into paper values (nextval('paper_id_sequence'), 'Folio     - (216 x 330 mm)',   612,  936,  now(), 1);
insert into paper values (nextval('paper_id_sequence'), 'Quarto    - (215 x 275 mm)',   610,  780,  now(), 1);
insert into paper values (nextval('paper_id_sequence'), 'Executive - (190 x 254 mm)',   540,  720,  now(), 1);
insert into paper values (nextval('paper_id_sequence'), 'A0        - (841 x 1189 mm)',  2384, 3370, now(), 1);
insert into paper values (nextval('paper_id_sequence'), 'A1        - (594 x 841 mm)',   1684, 2384, now(), 1);
insert into paper values (nextval('paper_id_sequence'), 'A2        - (420 x 594 mm)',   1191, 1684, now(), 1);
insert into paper values (nextval('paper_id_sequence'), 'A3        - (297 x 420 mm)',   842,  1191, now(), 1);
insert into paper values (nextval('paper_id_sequence'), 'A4        - (210 x 297 mm)',   595,  842,  now(), 1);
insert into paper values (nextval('paper_id_sequence'), 'A5        - (148 x 210 mm)',   420,  595,  now(), 1);
insert into paper values (nextval('paper_id_sequence'), 'A6        - (105 x 148 mm)',   297,  420,  now(), 1);
insert into paper values (nextval('paper_id_sequence'), 'A7        - (74 x 105 mm)',    210,  297,  now(), 1);
insert into paper values (nextval('paper_id_sequence'), 'A8        - (52 x 74 mm)',     148,  210,  now(), 1);
insert into paper values (nextval('paper_id_sequence'), 'A9        - (37 x 52 mm)',     105,  148,  now(), 1);
insert into paper values (nextval('paper_id_sequence'), 'A10       - (26 x 37 mm)',     73,   105,  now(), 1);
insert into paper values (nextval('paper_id_sequence'), 'B0        - (1030 x 1456 mm)', 2920, 4127, now(), 1);
insert into paper values (nextval('paper_id_sequence'), 'B1        - (728 x 1030 mm)',  2064, 2920, now(), 1);
insert into paper values (nextval('paper_id_sequence'), 'B2        - (515 x 728 mm)',   1460, 2064, now(), 1);
insert into paper values (nextval('paper_id_sequence'), 'B3        - (364 x 515 mm)',   1032, 1460, now(), 1);
insert into paper values (nextval('paper_id_sequence'), 'B4        - (257 x 364 mm)',   729,  1032, now(), 1);
insert into paper values (nextval('paper_id_sequence'), 'B5        - (182 x 257 mm)',   516,  729,  now(), 1);
insert into paper values (nextval('paper_id_sequence'), 'B6        - (128 x 182 mm)',   363,  516,  now(), 1);
insert into paper values (nextval('paper_id_sequence'), 'B7        - (91 x 128 mm)',    258,  363,  now(), 1);
insert into paper values (nextval('paper_id_sequence'), 'B8        - (64 x 91 mm)',     181,  258,  now(), 1);
insert into paper values (nextval('paper_id_sequence'), 'B9        - (45 x 64 mm)',     127,  181,  now(), 1);
insert into paper values (nextval('paper_id_sequence'), 'B10       - (32 x 45 mm)',     91,   127,  now(), 1);
insert into paper values (nextval('paper_id_sequence'), 'C0        - (917 x 1297 mm)',  2599, 3676, now(), 1);
insert into paper values (nextval('paper_id_sequence'), 'C1        - (648 x 917 mm)',   1837, 2599, now(), 1);
insert into paper values (nextval('paper_id_sequence'), 'C2        - (458 x 648 mm)',   1298, 1837, now(), 1);
insert into paper values (nextval('paper_id_sequence'), 'C3        - (324 x 457 mm)',   918,  1296, now(), 1);
insert into paper values (nextval('paper_id_sequence'), 'C4        - (229 x 324 mm)',   649,  918,  now(), 1);
insert into paper values (nextval('paper_id_sequence'), 'C5        - (162 x 229 mm)',   459,  649,  now(), 1);
insert into paper values (nextval('paper_id_sequence'), 'C6        - (114 x 162 mm)',   323,  459,  now(), 1);
insert into paper values (nextval('paper_id_sequence'), 'C7        - (81 x 114 mm)',    230,  323,  now(), 1);
insert into paper values (nextval('paper_id_sequence'), 'ISOB0     - (1000 x 141 mm)',  2835, 4008, now(), 1);
insert into paper values (nextval('paper_id_sequence'), 'ISOB1     - (707 x 1000 mm)',  2004, 2835, now(), 1);
insert into paper values (nextval('paper_id_sequence'), 'ISOB2     - (500 x 707 mm)',   1417, 2004, now(), 1);
insert into paper values (nextval('paper_id_sequence'), 'ISOB3     - (353 x 500 mm)',   1001, 1417, now(), 1);
insert into paper values (nextval('paper_id_sequence'), 'ISOB4     - (250 x 353 mm)',   709,  1001, now(), 1);
insert into paper values (nextval('paper_id_sequence'), 'ISOB5     - (176 x 250 mm)',   499,  709,  now(), 1);
insert into paper values (nextval('paper_id_sequence'), 'ISOB6     - (125 x 176 mm)',   354,  499,  now(), 1);
insert into paper values (nextval('paper_id_sequence'), 'ISOB7     - (88 x 125 mm)',    249,  354,  now(), 1);
insert into paper values (nextval('paper_id_sequence'), 'ISOB8     - (62 x 88 mm)',     176,  249,  now(), 1);
insert into paper values (nextval('paper_id_sequence'), 'ISOB9     - (44 x 62 mm)',     125,  176,  now(), 1);
insert into paper values (nextval('paper_id_sequence'), 'ISOB10    - (31 x 44 mm)',     88,   125,  now(), 1);
insert into paper values (nextval('paper_id_sequence'), '7x9       - (178 x 229 mm)',   504,  648,  now(), 1);
insert into paper values (nextval('paper_id_sequence'), '9x11      - (229 x 279 mm)',   648,  792,  now(), 1);
insert into paper values (nextval('paper_id_sequence'), '9x12      - (229 x 305 mm)',   648,  864,  now(), 1);
insert into paper values (nextval('paper_id_sequence'), '10x13     - (254 x 330 mm)',   720,  936,  now(), 1);
insert into paper values (nextval('paper_id_sequence'), '10x14     - (254 x 356 mm)',   720,  1008, now(), 1);

insert into manufacturer values (nextval('manufacturer_id_sequence'), 'Avery',      'http://www.avery.com',       now(), 1);
insert into manufacturer values (nextval('manufacturer_id_sequence'), 'Canon',      'http://www.canon.com',       now(), 1);
insert into manufacturer values (nextval('manufacturer_id_sequence'), 'Fuji Film',  'http://www.fujifilm.com',    now(), 1);
insert into manufacturer values (nextval('manufacturer_id_sequence'), 'Hasselblad', 'http://www.hasselblad.com',  now(), 1);
insert into manufacturer values (nextval('manufacturer_id_sequence'), 'Kodak',      'http://www.kodak.com',       now(), 1);
insert into manufacturer values (nextval('manufacturer_id_sequence'), 'Mamiya',     'http://www.mamiya.com',      now(), 1);
insert into manufacturer values (nextval('manufacturer_id_sequence'), 'Minolta',    'http://www.minolta.com',     now(), 1);
insert into manufacturer values (nextval('manufacturer_id_sequence'), 'Nikon',      'http://www.nikon-image.com', now(), 1);
insert into manufacturer values (nextval('manufacturer_id_sequence'), 'Olympus',    'http://www.olympus.com',     now(), 1);
insert into manufacturer values (nextval('manufacturer_id_sequence'), 'Pentax',     'http://www.pentax.com',      now(), 1);
insert into manufacturer values (nextval('manufacturer_id_sequence'), 'Rollei',     'http://www.rollei.de',       now(), 1);
insert into manufacturer values (nextval('manufacturer_id_sequence'), 'Sinar',      'http://www.sinar.ch',        now(), 1);
insert into manufacturer values (nextval('manufacturer_id_sequence'), 'Sony',       'http://www.sony.com',        now(), 1);

insert into label values (nextval('label_id_sequence'), null, 1, '5267 - Return Address', 2.06300*25.4, 0.50000*25.4, 1.75000*25.4, 0.50000*25.4, 0.28100*25.4, 0.50000*25.4, 4, 20, 13, now(), now());
insert into label values (nextval('label_id_sequence'), null, 1, '5960 - Address', 2.75000*25.4, 1.00000*25.4, 2.62500*25.4, 1.00000*25.4, 0.18800*25.4, 0.50000*25.4, 3, 10, 13, now(), now());
insert into label values (nextval('label_id_sequence'), null, 1, '5961 - Address', 4.18750*25.4, 1.00000*25.4, 4.00000*25.4, 1.00000*25.4, 0.15600*25.4, 0.50000*25.4, 2, 10, 13, now(), now());
insert into label values (nextval('label_id_sequence'), null, 1, '5962 - Address', 4.18750*25.4, 1.33330*25.4, 4.00000*25.4, 1.33330*25.4, 0.15600*25.4, 0.83330*25.4, 2, 7, 13, now(), now());
insert into label values (nextval('label_id_sequence'), null, 1, '5963 - Address', 4.18750*25.4, 2.00000*25.4, 4.00000*25.4, 2.00000*25.4, 0.15600*25.4, 0.50000*25.4, 2, 5, 13, now(), now());
insert into label values (nextval('label_id_sequence'), null, 1, '5264 - Address', 4.18750*25.4, 3.33330*25.4, 4.00000*25.4, 3.33330*25.4, 0.15600*25.4, 0.50000*25.4, 2, 3, 13, now(), now());
insert into label values (nextval('label_id_sequence'), null, 1, '5667 - Clear Return Address', 2.05000*25.4, 0.50000*25.4, 1.75000*25.4, 0.50000*25.4, 0.30000*25.4, 0.50000*25.4, 4, 20, 13, now(), now());
insert into label values (nextval('label_id_sequence'), null, 1, '5930 - Clear Address', 2.83330*25.4, 1.00000*25.4, 2.83300*25.4, 1.00000*25.4, 0.00000*25.4, 0.50000*25.4, 3, 10, 13, now(), now());
insert into label values (nextval('label_id_sequence'), null, 1, '5932 - Clear Address', 4.25000*25.4, 1.33300*25.4, 4.25000*25.4, 1.33300*25.4, 0.00000*25.4, 0.83500*25.4, 2, 7, 13, now(), now());
insert into label values (nextval('label_id_sequence'), null, 1, '5664 - Clear Address', 4.25000*25.4, 3.33330*25.4, 4.25000*25.4, 3.33300*25.4, 0.00000*25.4, 0.50000*25.4, 2, 3, 13, now(), now());
insert into label values (nextval('label_id_sequence'), null, 1, '5265 - Full Sheet', 0.00000*25.4, 0.00000*25.4, 8.50000*25.4, 11.00000*25.4, 0.00000*25.4, 0.00000*25.4, 1, 1, 13, now(), now());
insert into label values (nextval('label_id_sequence'), null, 1, '5266 - File Folder-Assorted', 4.00000*25.4, 0.67500*25.4, 3.43800*25.4, 0.54100*25.4, 0.53100*25.4, 0.50000*25.4, 2, 15, 13, now(), now());
insert into label values (nextval('label_id_sequence'), null, 1, '5388 - Index Card', 5.00000*25.4, 3.00000*25.4, 5.00000*25.4, 3.00000*25.4, 1.75000*25.4, 1.00000*25.4, 1, 3, 13, now(), now());
insert into label values (nextval('label_id_sequence'), null, 1, '5305 - Laser Tent Cards Med.', 8.50000*25.4, 5.00000*25.4, 7.75000*25.4, 4.25000*25.4, 0.37500*25.4, 0.87500*25.4, 1, 2, 13, now(), now());
insert into label values (nextval('label_id_sequence'), null, 1, '5309 - Laser Tent Cards Large', 11.00000*25.4, 7.00000*25.4, 10.25000*25.4, 6.25000*25.4, 0.37500*25.4, 1.12500*25.4, 1, 1, 13, now(), now());
insert into label values (nextval('label_id_sequence'), null, 1, '5315 - Laser Note Cards', 5.50000*25.4, 0.00000*25.4, 5.50000*25.4, 8.50000*25.4, 0.00000*25.4, 0.00000*25.4, 2, 1, 13, now(), now());
insert into label values (nextval('label_id_sequence'), null, 1, '6020 - 35mm Slide', 2.54, 0, 43.18, 8.47, 14.83, 12.91, 4, 32, 13, now(), now());
insert into label values (nextval('label_id_sequence'), null, 1, '8920 - Ink Jet Address', 2.75000*25.4, 1.00000*25.4, 2.62500*25.4, 1.00000*25.4, 0.18800*25.4, 0.50000*25.4, 3, 10, 13, now(), now());
insert into label values (nextval('label_id_sequence'), null, 1, '8161 - Ink Jet Address', 4.18750*25.4, 1.00000*25.4, 4.00000*25.4, 1.00000*25.4, 0.15600*25.4, 0.50000*25.4, 2, 10, 13, now(), now());
insert into label values (nextval('label_id_sequence'), null, 1, '8922 - Ink Jet Address', 4.18750*25.4, 1.33330*25.4, 4.00000*25.4, 1.33330*25.4, 0.15600*25.4, 0.83330*25.4, 2, 7, 13, now(), now());
insert into label values (nextval('label_id_sequence'), null, 1, '8923 - Ink Jet Address', 4.18750*25.4, 2.00000*25.4, 4.00000*25.4, 2.00000*25.4, 0.15600*25.4, 0.50000*25.4, 2, 5, 13, now(), now());
insert into label values (nextval('label_id_sequence'), null, 1, '8164 - Ink Jet Address', 4.18750*25.4, 3.33330*25.4, 4.00000*25.4, 3.33330*25.4, 0.15600*25.4, 0.50000*25.4, 2, 3, 13, now(), now());
insert into label values (nextval('label_id_sequence'), null, 1, '8165 - Ink Jet Full Sheet', 8.50000*25.4, 11.00000*25.4, 8.50000*25.4, 11.00000*25.4, 0.00000*25.4, 0.00000*25.4, 1, 1, 13, now(), now());
insert into label values (nextval('label_id_sequence'), null, 1, '8166 - Ink Jet File Folder-Assorted', 4.00000*25.4, 0.67500*25.4, 3.43800*25.4, 0.54100*25.4, 0.53100*25.4, 0.50000*25.4, 2, 15, 13, now(), now());
insert into label values (nextval('label_id_sequence'), null, 1, '8927 - Ink Jet Return Address', 2.06300*25.4, 0.50000*25.4, 1.75000*25.4, 0.50000*25.4, 0.28100*25.4, 0.50000*25.4, 4, 20, 13, now(), now());
insert into label values (nextval('label_id_sequence'), null, 1, '8315 - Ink Jet Note Cards', 5.50000*25.4, 0.00000*25.4, 5.50000*25.4, 8.50000*25.4, 0.00000*25.4, 0.00000*25.4, 2, 1, 13, now(), now());
insert into label values (nextval('label_id_sequence'), null, 1, '8316 - Ink Jet Greeting Card(Portrait)', 8.50000*25.4, 5.50000*25.4, 8.50000*25.4, 5.50000*25.4, 0.00000*25.4, 0.00000*25.4, 1, 2, 13, now(), now());
insert into label values (nextval('label_id_sequence'), null, 1, '8316 - Ink Jet Greeting Card(Landscape)', 5.50000*25.4, 8.50000*25.4, 5.50000*25.4, 8.50000*25.4, 0.00000*25.4, 0.00000*25.4, 2, 1, 13, now(), now());
insert into label values (nextval('label_id_sequence'), null, 1, '8371 - Ink Jet Business Card', 3.50000*25.4, 2.00000*25.4, 3.50000*25.4, 2.00000*25.4, 0.75000*25.4, 0.50000*25.4, 2, 5, 13, now(), now());
insert into label values (nextval('label_id_sequence'), null, 1, '8372 - Ink Jet Business Card', 3.50000*25.4, 2.00000*25.4, 3.50000*25.4, 2.00000*25.4, 0.75000*25.4, 0.50000*25.4, 2, 5, 13, now(), now());
insert into label values (nextval('label_id_sequence'), null, 1, '8660 - Ink Jet Clear Address', 2.75000*25.4, 1.00000*25.4, 2.62500*25.4, 1.00000*25.4, 0.18800*25.4, 0.50000*25.4, 3, 10, 13, now(), now());
insert into label values (nextval('label_id_sequence'), null, 1, '8930 - Ink Jet Clear Address', 2.75000*25.4, 1.00000*25.4, 2.62500*25.4, 1.00000*25.4, 0.18800*25.4, 0.50000*25.4, 3, 10, 13, now(), now());
insert into label values (nextval('label_id_sequence'), null, 1, '8662 - Ink Jet Clear Address', 4.18750*25.4, 1.33330*25.4, 4.00000*25.4, 1.33330*25.4, 0.15600*25.4, 0.83330*25.4, 2, 7, 13, now(), now());
insert into label values (nextval('label_id_sequence'), null, 1, '8932 - Ink Jet Clear Address', 4.18750*25.4, 1.33330*25.4, 4.00000*25.4, 1.33330*25.4, 0.15600*25.4, 0.83330*25.4, 2, 7, 13, now(), now());
insert into label values (nextval('label_id_sequence'), null, 1, '8663 - Ink Jet Clear Address/Shipping', 4.18750*25.4, 2.00000*25.4, 4.00000*25.4, 2.00000*25.4, 0.15600*25.4, 0.50000*25.4, 2, 5, 13, now(), now());
insert into label values (nextval('label_id_sequence'), null, 1, '2160 - Addressing', 2.63000*25.4, 1.00000*25.4, 2.63000*25.4, 1.00000*25.4, 0.81000*25.4, 0.50000*25.4, 1, 8, 13, now(), now());
insert into label values (nextval('label_id_sequence'), null, 1, '2162 - Addressing', 4.00000*25.4, 1.33330*25.4, 4.00000*25.4, 1.33330*25.4, 0.12500*25.4, 0.50000*25.4, 1, 6, 13, now(), now());
insert into label values (nextval('label_id_sequence'), null, 1, '2163 - Address/Shipping', 4.00000*25.4, 2.00000*25.4, 4.00000*25.4, 2.00000*25.4, 0.12500*25.4, 0.50000*25.4, 1, 4, 13, now(), now());
insert into label values (nextval('label_id_sequence'), null, 1, '2164 - Shipping', 4.00000*25.4, 5.00000*25.4, 4.00000*25.4, 3.31250*25.4, 0.12500*25.4, 0.84375*25.4, 1, 2, 13, now(), now());
insert into label values (nextval('label_id_sequence'), null, 1, '2660 - Clear Address', 2.63000*25.4, 1.00000*25.4, 2.63000*25.4, 1.00000*25.4, 0.81000*25.4, 0.50000*25.4, 1, 8, 13, now(), now());
insert into label values (nextval('label_id_sequence'), null, 1, '2662 - Clear Address', 4.25000*25.4, 1.33330*25.4, 4.25000*25.4, 1.33330*25.4, 0.00000*25.4, 0.50000*25.4, 1, 6, 13, now(), now());
insert into label values (nextval('label_id_sequence'), null, 1, '2663 - Clear Address/Shipping', 4.25000*25.4, 2.00000*25.4, 4.25000*25.4, 2.00000*25.4, 0.00000*25.4, 0.50000*25.4, 1, 4, 13, now(), now());
insert into label values (nextval('label_id_sequence'), null, 1, '2180 - File Folder-Assorted', 3.44000*25.4, 0.67500*25.4, 3.44000*25.4, 0.54100*25.4, 0.40500*25.4, 0.50000*25.4, 1, 12, 13, now(), now());
insert into label values (nextval('label_id_sequence'), null, 1, '2181 - File Folder-White', 3.44000*25.4, 0.67500*25.4, 3.44000*25.4, 0.66600*25.4, 0.40500*25.4, 0.50000*25.4, 1, 12, 13, now(), now());
insert into label values (nextval('label_id_sequence'), null, 1, '5824 - CD-Recordable Labels', 4.50000*25.4, 5.50000*25.4, 4.50000*25.4, 4.50000*25.4, 2.00000*25.4, 0.50000*25.4, 1, 2, 13, now(), now());
insert into label values (nextval('label_id_sequence'), null, 1, '5836 - MtgCreator Portfolio Label', 3.50000*25.4, 2.00000*25.4, 3.50000*25.4, 2.00000*25.4, 0.75000*25.4, 0.50000*25.4, 2, 5, 13, now(), now());
insert into label values (nextval('label_id_sequence'), null, 1, '5836 - MtgCreator Divider 5 Tab', 2.05000*25.4, 0.50000*25.4, 1.75000*25.4, 0.50000*25.4, 0.30000*25.4, 0.50000*25.4, 4, 20, 13, now(), now());
insert into label values (nextval('label_id_sequence'), null, 1, '5841 - MtgCreator Portfolio Label', 3.50000*25.4, 2.00000*25.4, 3.50000*25.4, 2.00000*25.4, 0.75000*25.4, 0.50000*25.4, 2, 5, 13, now(), now());
insert into label values (nextval('label_id_sequence'), null, 1, '5843 - MtgCreator Name Badge', 3.50000*25.4, 2.16667*25.4, 3.50000*25.4, 2.16667*25.4, 0.75000*25.4, 1.16667*25.4, 2, 4, 13, now(), now());
insert into label values (nextval('label_id_sequence'), null, 1, '5844 - MtgCreator Tent Card', 8.50000*25.4, 5.00000*25.4, 7.75000*25.4, 4.25000*25.4, 0.37500*25.4, 0.87500*25.4, 1, 2, 13, now(), now());
insert into label values (nextval('label_id_sequence'), null, 1, '5845 - MtgCreator Clear Address', 2.83300*25.4, 1.00000*25.4, 2.83300*25.4, 1.00000*25.4, 0.00000*25.4, 0.50000*25.4, 3, 10, 13, now(), now());
insert into label values (nextval('label_id_sequence'), null, 1, '5845 - MtgCreator Note Card', 5.50000*25.4, 0.00000*25.4, 5.50000*25.4, 8.50000*25.4, 0.00000*25.4, 0.00000*25.4, 2, 1, 13, now(), now());
insert into label values (nextval('label_id_sequence'), null, 1, '3110 - Rectangle Stickers', 2.68750*25.4, 1.50000*25.4, 2.37500*25.4, 1.25000*25.4, 0.37500*25.4, 1.12500*25.4, 3, 6, 13, now(), now());
insert into label values (nextval('label_id_sequence'), null, 1, '3111 - Square Stickers', 2.68750*25.4, 3.00000*25.4, 2.50000*25.4, 2.50000*25.4, 0.31300*25.4, 1.25000*25.4, 3, 3, 13, now(), now());
insert into label values (nextval('label_id_sequence'), null, 1, '3112 - Small Round Stickers', 2.00000*25.4, 2.00000*25.4, 1.50000*25.4, 1.50000*25.4, 0.50000*25.4, 0.75000*25.4, 4, 5, 13, now(), now());
insert into label values (nextval('label_id_sequence'), null, 1, '3113 - Big Round Stickers', 2.68750*25.4, 3.00000*25.4, 2.50000*25.4, 2.50000*25.4, 0.31250*25.4, 1.25000*25.4, 3, 3, 13, now(), now());
insert into label values (nextval('label_id_sequence'), null, 1, '3114 - Full Page Stickers', 8.50000*25.4, 11.00000*25.4, 8.50000*25.4, 11.00000*25.4, 0.00000*25.4, 0.00000*25.4, 1, 1, 13, now(), now());
insert into label values (nextval('label_id_sequence'), null, 1, '3610 - Greeting Cards', 7.00000*25.4, 5.00000*25.4, 7.00000*25.4, 4.50000*25.4, 0.75000*25.4, 0.75000*25.4, 1, 2, 13, now(), now());
insert into label values (nextval('label_id_sequence'), null, 1, '3611 - Postcards', 6.00000*25.4, 4.50000*25.4, 6.00000*25.4, 4.00000*25.4, 1.25000*25.4, 1.25000*25.4, 1, 2, 13, now(), now());
insert into label values (nextval('label_id_sequence'), null, 1, '3612 - Biz Cards', 4.00000*25.4, 2.50000*25.4, 3.50000*25.4, 2.00000*25.4, 0.50000*25.4, 0.75000*25.4, 2, 4, 13, now(), now());
insert into label values (nextval('label_id_sequence'), null, 1, '3613 - Laminated ID Cards', 3.25000*25.4, 3.66660*25.4, 3.25000*25.4, 2.00000*25.4, 4.31250*25.4, 0.83330*25.4, 1, 3, 13, now(), now());
insert into label values (nextval('label_id_sequence'), null, 1, 'L7159 - Address', 2.61969*25.4, 1.33307*25.4, 2.51969*25.4, 1.33307*25.4, 0.25433*25.4, 0.54272*25.4, 3, 8, 13, now(), now());
insert into label values (nextval('label_id_sequence'), null, 1, 'L7160 - Address', 2.60039*25.4, 1.50000*25.4, 2.50000*25.4, 1.50000*25.4, 0.28346*25.4, 0.62500*25.4, 3, 7, 13, now(), now());
insert into label values (nextval('label_id_sequence'), null, 1, 'L7161 - Address', 2.60000*25.4, 1.83307*25.4, 2.50000*25.4, 1.83307*25.4, 0.28386*25.4, 0.37579*25.4, 3, 6, 13, now(), now());
insert into label values (nextval('label_id_sequence'), null, 1, 'L7162 - Address', 4.00000*25.4, 1.33346*25.4, 3.90000*25.4, 1.33346*25.4, 0.18386*25.4, 0.54114*25.4, 2, 8, 13, now(), now());
insert into label values (nextval('label_id_sequence'), null, 1, 'L7163 - Address', 4.00000*25.4, 1.50000*25.4, 3.90000*25.4, 1.50000*25.4, 0.18386*25.4, 0.62500*25.4, 2, 7, 13, now(), now());
insert into label values (nextval('label_id_sequence'), null, 1, 'L7164 - Address', 2.60000*25.4, 2.83335*25.4, 2.50000*25.4, 2.83335*25.4, 0.28386*25.4, 0.20827*25.4, 3, 4, 13, now(), now());
insert into label values (nextval('label_id_sequence'), null, 1, 'L7165 - Parcel', 4.00000*25.4, 2.66654*25.4, 3.90000*25.4, 2.66654*25.4, 0.18386*25.4, 0.54173*25.4, 2, 4, 13, now(), now());
insert into label values (nextval('label_id_sequence'), null, 1, 'L7166 - Parcel', 4.00000*25.4, 3.66654*25.4, 3.90000*25.4, 3.66654*25.4, 0.18386*25.4, 0.37500*25.4, 2, 3, 13, now(), now());
insert into label values (nextval('label_id_sequence'), null, 1, 'L7167 - Shipping', 7.85827*25.4, 11.37992*25.4, 7.85827*25.4, 11.37992*25.4, 0.20472*25.4, 0.18504*25.4, 1, 1, 13, now(), now());
insert into label values (nextval('label_id_sequence'), null, 1, 'L7168 - Shipping', 7.85827*25.4, 5.65079*25.4, 7.85827*25.4, 5.65079*25.4, 0.18504*25.4, 0.22421*25.4, 1, 2, 13, now(), now());
insert into label values (nextval('label_id_sequence'), null, 1, 'L7169 - Parcel', 5.47244*25.4, 4.00157*25.4, 5.47244*25.4, 3.90157*25.4, 0.40236*25.4, 0.18228*25.4, 2, 2, 13, now(), now());
insert into label values (nextval('label_id_sequence'), null, 1, 'L7173 - Shipping', 4.00000*25.4, 2.24409*25.4, 3.90000*25.4, 2.24409*25.4, 0.18386*25.4, 0.26476*25.4, 2, 5, 13, now(), now());
insert into label values (nextval('label_id_sequence'), null, 1, 'L7551 - Clear Mini Address', 1.60000*25.4, 0.83346*25.4, 1.50000*25.4, 0.83346*25.4, 0.18386*25.4, 0.45827*25.4, 5, 13, 13, now(), now());
insert into label values (nextval('label_id_sequence'), null, 1, 'L7552 - Petite Clear', 4.10169*25.4, 0.83331*25.4, 2.16598*25.4, 0.50000*25.4, 1.00000*25.4, 1.87500*25.4, 2, 10, 13, now(), now());
insert into label values (nextval('label_id_sequence'), null, 1, 'L7553 - Petite Clear', 1.80000*25.4, 0.66661*25.4, 0.86598*25.4, 0.50000*25.4, 1.00000*25.4, 1.95799*25.4, 4, 12, 13, now(), now());
insert into label values (nextval('label_id_sequence'), null, 1, 'L7560 - Clear Address', 2.60039*25.4, 1.50000*25.4, 2.50000*25.4, 1.50000*25.4, 0.28346*25.4, 0.62500*25.4, 3, 7, 13, now(), now());
insert into label values (nextval('label_id_sequence'), null, 1, 'L7562 - Clear Address', 4.00000*25.4, 1.33346*25.4, 3.90000*25.4, 1.33346*25.4, 0.18386*25.4, 0.54114*25.4, 2, 8, 13, now(), now());
insert into label values (nextval('label_id_sequence'), null, 1, 'L7563 - Clear Address', 4.00000*25.4, 1.50000*25.4, 3.90000*25.4, 1.50000*25.4, 0.18386*25.4, 0.62500*25.4, 2, 7, 13, now(), now());
insert into label values (nextval('label_id_sequence'), null, 1, 'L7565 - Clear Parcel', 4.00000*25.4, 2.66654*25.4, 3.90000*25.4, 2.66654*25.4, 0.18386*25.4, 0.54173*25.4, 2, 4, 13, now(), now());
insert into label values (nextval('label_id_sequence'), null, 1, 'L7263 - Address', 4.00000*25.4, 1.50000*25.4, 3.90000*25.4, 1.50000*25.4, 0.18386*25.4, 0.62500*25.4, 2, 7, 13, now(), now());
insert into label values (nextval('label_id_sequence'), null, 1, 'L7651 - Mini Address', 1.60000*25.4, 0.83346*25.4, 1.50000*25.4, 0.83346*25.4, 0.18386*25.4, 0.45827*25.4, 5, 13, 13, now(), now());
insert into label values (nextval('label_id_sequence'), null, 1, 'L7656 - 35mm Slide', 1.99488*25.4, 0.50000*25.4, 1.81102*25.4, 0.43740*25.4, 0.22717*25.4, 0.65630*25.4, 4, 21, 13, now(), now());
insert into label values (nextval('label_id_sequence'), null, 1, 'L7665 - Mini Data Cartridge', 3.70079*25.4, 0.83150*25.4, 2.83465*25.4, 0.83268*25.4, 0.86614*25.4, 0.87795*25.4, 2, 12, 13, now(), now());
insert into label values (nextval('label_id_sequence'), null, 1, 'L7667 - Standard Data Cartridge', 5.23622*25.4, 1.16575*25.4, 5.23622*25.4, 1.16575*25.4, 1.51575*25.4, 0.62913*25.4, 1, 9, 13, now(), now());
insert into label values (nextval('label_id_sequence'), null, 1, 'L7690 - Mini Address', 1.60000*25.4, 0.83346*25.4, 1.50000*25.4, 0.83346*25.4, 0.18386*25.4, 0.45827*25.4, 5, 13, 13, now(), now());
insert into label values (nextval('label_id_sequence'), null, 1, 'L7170 - Eurofolio', 5.27559*25.4, 0.43307*25.4, 5.27559*25.4, 0.43307*25.4, 1.49606*25.4, 0.67815*25.4, 1, 24, 13, now(), now());
insert into label values (nextval('label_id_sequence'), null, 1, 'L7172 - Ring Binder', 4.03701*25.4, 1.18110*25.4, 3.93701*25.4, 1.18110*25.4, 0.14685*25.4, 0.56004*25.4, 2, 9, 13, now(), now());
insert into label values (nextval('label_id_sequence'), null, 1, 'L7171 - Lever Arch', 2.36220*25.4, 7.87402*25.4, 2.36220*25.4, 7.87402*25.4, 1.15059*25.4, 0.19685*25.4, 4, 1, 13, now(), now());
insert into label values (nextval('label_id_sequence'), null, 1, 'L7701 - Lever Arch', 2.44094*25.4, 7.55906*25.4, 2.44094*25.4, 7.55906*25.4, 0.99311*25.4, 0.35433*25.4, 4, 1, 13, now(), now());
insert into label values (nextval('label_id_sequence'), null, 1, 'L7702 - Lever Arch', 1.53543*25.4, 7.55906*25.4, 1.53543*25.4, 7.55906*25.4, 0.50098*25.4, 0.35433*25.4, 7, 1, 13, now(), now());
insert into label values (nExtval('label_id_sequence'), null, 1, 'L7413 - Business Card', 3.54331*25.4, 2.00000*25.4, 3.54331*25.4, 2.00000*25.4, 0.59055*25.4, 0.84646*25.4, 2, 5, 13, now(), now());
insert into label values (nextval('label_id_sequence'), null, 1, 'L7414 - Business Card', 3.54331*25.4, 2.04724*25.4, 3.54331*25.4, 2.04724*25.4, 0.59055*25.4, 0.72835*25.4, 2, 5, 13, now(), now());
insert into label values (nextval('label_id_sequence'), null, 1, 'L7415 - Business Card', 3.54331*25.4, 2.04724*25.4, 3.54331*25.4, 2.04724*25.4, 0.59055*25.4, 0.72835*25.4, 2, 5, 13, now(), now());
insert into label values (nextval('label_id_sequence'), null, 1, 'L7417 - Business Card', 3.54331*25.4, 2.12598*25.4, 3.54331*25.4, 2.12598*25.4, 0.59055*25.4, 0.53150*25.4, 2, 5, 13, now(), now());
insert into label values (nextval('label_id_sequence'), null, 1, 'L7419 - Business Card', 3.54331*25.4, 2.12598*25.4, 3.54331*25.4, 2.12598*25.4, 0.59055*25.4, 0.53150*25.4, 2, 5, 13, now(), now());
insert into label values (nextval('label_id_sequence'), null, 1, 'L7418 - Name Badge', 3.38583*25.4, 2.16535*25.4, 3.38583*25.4, 2.16535*25.4, 0.74803*25.4, 1.51575*25.4, 2, 4, 13, now(), now());
insert into label values (nextval('label_id_sequence'), null, 1, 'L7421 - Post Card', 5.48701*25.4, 3.83031*25.4, 5.48701*25.4, 3.83031*25.4, 0.37323*25.4, 0.30354*25.4, 2, 2, 13, now(), now());
insert into label values (nextval('label_id_sequence'), null, 1, 'L7901 - Organizer Page', 3.74016*25.4, 6.69291*25.4, 3.74016*25.4, 6.69291*25.4, 0.00000*25.4, 0.00000*25.4, 3, 1, 13, now(), now());

insert into label values (nextval('label_id_sequence'), null, 1, 'L7902 - Organizer Page', 5.84646*25.4, 8.26772*25.4, 5.84646*25.4, 8.26772*25.4, 0.00000*25.4, 0.00000*25.4, 2, 1, 14, now(), now());
insert into label values (nextval('label_id_sequence'), null, 1, 'J8159 - Address', 2.61969*25.4, 1.33307*25.4, 2.51969*25.4, 1.33307*25.4, 0.25433*25.4, 0.54272*25.4, 3, 8, 13, now(), now());
insert into label values (nextval('label_id_sequence'), null, 1, 'J8160 - Address', 2.60039*25.4, 1.50000*25.4, 2.50000*25.4, 1.50000*25.4, 0.28346*25.4, 0.62500*25.4, 3, 7, 13, now(), now());
insert into label values (nextval('label_id_sequence'), null, 1, 'J8161 - Address', 2.60000*25.4, 1.83307*25.4, 2.50000*25.4, 1.83307*25.4, 0.28386*25.4, 0.37579*25.4, 3, 6, 13, now(), now());
insert into label values (nextval('label_id_sequence'), null, 1, 'J8162 - Address', 4.00000*25.4, 1.33346*25.4, 3.90000*25.4, 1.33346*25.4, 0.18386*25.4, 0.54114*25.4, 2, 8, 13, now(), now());
insert into label values (nextval('label_id_sequence'), null, 1, 'J8163 - Address', 4.00000*25.4, 1.50000*25.4, 3.90000*25.4, 1.50000*25.4, 0.18386*25.4, 0.62500*25.4, 2, 7, 13, now(), now());
insert into label values (nextval('label_id_sequence'), null, 1, 'J8164 - Address', 2.60000*25.4, 2.83335*25.4, 2.50000*25.4, 2.83335*25.4, 0.28386*25.4, 0.20827*25.4, 3, 4, 13, now(), now());
insert into label values (nextval('label_id_sequence'), null, 1, 'J8165 - Parcel', 4.00000*25.4, 2.66654*25.4, 3.90000*25.4, 2.66654*25.4, 0.18386*25.4, 0.54173*25.4, 2, 4, 13, now(), now());
insert into label values (nextval('label_id_sequence'), null, 1, 'J8166 - Parcel', 4.00000*25.4, 3.66654*25.4, 3.90000*25.4, 3.66654*25.4, 0.18386*25.4, 0.37500*25.4, 2, 3, 13, now(), now());
insert into label values (nextval('label_id_sequence'), null, 1, 'J8167 - Shipping', 7.85827*25.4, 11.37992*25.4, 7.85827*25.4, 11.37992*25.4, 0.20472*25.4, 0.18504*25.4, 1, 1, 13, now(), now());
insert into label values (nextval('label_id_sequence'), null, 1, 'J8168 - Shipping', 7.85827*25.4, 5.65079*25.4, 7.85827*25.4, 5.65079*25.4, 0.18504*25.4, 0.22421*25.4, 1, 2, 13, now(), now());
insert into label values (nextval('label_id_sequence'), null, 1, 'J8169 - Parcel', 5.47244*25.4, 4.00157*25.4, 5.47244*25.4, 3.90157*25.4, 0.40236*25.4, 0.18228*25.4, 2, 2, 13, now(), now());
insert into label values (nextval('label_id_sequence'), null, 1, 'J8173 - Shipping', 4.00000*25.4, 2.24409*25.4, 3.90000*25.4, 2.24409*25.4, 0.18386*25.4, 0.26476*25.4, 2, 5, 13, now(), now());
insert into label values (nextval('label_id_sequence'), null, 1, 'J8360 - Address', 2.60039*25.4, 1.50000*25.4, 2.50000*25.4, 1.50000*25.4, 0.28346*25.4, 0.62500*25.4, 3, 7, 13, now(), now());
insert into label values (nextval('label_id_sequence'), null, 1, 'J8361 - Address', 2.60000*25.4, 1.83307*25.4, 2.50000*25.4, 1.83307*25.4, 0.28386*25.4, 0.37579*25.4, 3, 6, 13, now(), now());
insert into label values (nextval('label_id_sequence'), null, 1, 'J8362 - Address', 4.00000*25.4, 1.33346*25.4, 3.90000*25.4, 1.33346*25.4, 0.18386*25.4, 0.54114*25.4, 2, 8, 13, now(), now());
insert into label values (nextval('label_id_sequence'), null, 1, 'J8363 - Address', 4.00000*25.4, 1.50000*25.4, 3.90000*25.4, 1.50000*25.4, 0.18386*25.4, 0.62500*25.4, 2, 7, 13, now(), now());
insert into label values (nextval('label_id_sequence'), null, 1, 'J8365 - Parcel', 4.00000*25.4, 2.66654*25.4, 3.90000*25.4, 2.66654*25.4, 0.18386*25.4, 0.54173*25.4, 2, 4, 13, now(), now());
insert into label values (nextval('label_id_sequence'), null, 1, 'J8367 - Shipping', 7.85827*25.4, 11.37992*25.4, 7.85827*25.4, 11.37992*25.4, 0.20472*25.4, 0.18504*25.4, 1, 1, 13, now(), now());
insert into label values (nextval('label_id_sequence'), null, 1, 'J8368 - Shipping', 7.85827*25.4, 5.65079*25.4, 7.85827*25.4, 5.65079*25.4, 0.18504*25.4, 0.22421*25.4, 1, 2, 13, now(), now());
insert into label values (nextval('label_id_sequence'), null, 1, 'J8560 - Clear Address', 2.60039*25.4, 1.50000*25.4, 2.50000*25.4, 1.50000*25.4, 0.28346*25.4, 0.62500*25.4, 3, 7, 13, now(), now());
insert into label values (nextval('label_id_sequence'), null, 1, 'J8562 - Clear Address', 4.00000*25.4, 1.33346*25.4, 3.90000*25.4, 1.33346*25.4, 0.18386*25.4, 0.54114*25.4, 2, 8, 13, now(), now());
insert into label values (nextval('label_id_sequence'), null, 1, 'J8563 - Clear Address', 4.00000*25.4, 1.50000*25.4, 3.90000*25.4, 1.50000*25.4, 0.18386*25.4, 0.62500*25.4, 2, 7, 13, now(), now());
insert into label values (nextval('label_id_sequence'), null, 1, 'J8565 - Clear Parcel', 4.00000*25.4, 2.66654*25.4, 3.90000*25.4, 2.66654*25.4, 0.18386*25.4, 0.54173*25.4, 2, 4, 13, now(), now());
insert into label values (nextval('label_id_sequence'), null, 1, 'J8651 - Mini Address', 1.60000*25.4, 0.83346*25.4, 1.50000*25.4, 0.83346*25.4, 0.18386*25.4, 0.45827*25.4, 5, 13, 13, now(), now());
insert into label values (nextval('label_id_sequence'), null, 1, 'J8657 - 35mm Slide', 1.99488*25.4, 0.50000*25.4, 1.81102*25.4, 0.43740*25.4, 1.23346*25.4, 2.40630*25.4, 3, 14, 13, now(), now());
insert into label values (nextval('label_id_sequence'), null, 1, 'L2160 - Address', 2.62992*25.4, 1.00000*25.4, 2.62992*25.4, 1.00000*25.4, 0.80984*25.4, 0.50000*25.4, 1, 8, 13, now(), now());
insert into label values (nextval('label_id_sequence'), null, 1, 'L2162 - Address', 4.00000*25.4, 1.32992*25.4, 4.00000*25.4, 1.33000*25.4, 0.12500*25.4, 0.50000*25.4, 1, 6, 13, now(), now());
insert into label values (nextval('label_id_sequence'), null, 1, 'L2163 - Parcel', 4.00000*25.4, 2.00000*25.4, 4.00000*25.4, 2.00000*25.4, 0.12500*25.4, 0.50000*25.4, 1, 4, 13, now(), now());
insert into label values (nextval('label_id_sequence'), null, 1, 'L30063 - Address', 3.90157*25.4, 2.50000*25.4, 3.90157*25.4, 1.50000*25.4, 2.18307*25.4, 0.92520*25.4, 1, 2, 13, now(), now());
insert into label values (nextval('label_id_sequence'), null, 1, 'L30065 - Parcel', 3.90157*25.4, 2.66535*25.4, 3.90157*25.4, 2.66535*25.4, 0.23228*25.4, 1.59055*25.4, 2, 1, 13, now(), now());
insert into label values (nextval('label_id_sequence'), null, 1, 'L300SL - 35mm Slide', 1.81102*25.4, 1.33228*25.4, 1.81102*25.4, 0.43740*25.4, 0.51181*25.4, 0.70610*25.4, 4, 4, 13, now(), now());
insert into label values (nextval('label_id_sequence'), null, 1, 'J40063 - Address', 3.90157*25.4, 2.50000*25.4, 3.90157*25.4, 1.50000*25.4, 2.18307*25.4, 0.92520*25.4, 1, 2, 13, now(), now());
insert into label values (nextval('label_id_sequence'), null, 1, 'J40065 - Parcel', 3.90157*25.4, 2.66535*25.4, 3.90157*25.4, 2.66535*25.4, 0.23228*25.4, 1.59055*25.4, 2, 1, 13, now(), now());
insert into label values (nextval('label_id_sequence'), null, 1, 'J400SL - 35mm Slide', 1.81102*25.4, 1.33228*25.4, 1.81102*25.4, 0.43740*25.4, 0.51181*25.4, 0.70610*25.4, 4, 4, 13, now(), now());
